# This is the configuration file for DOSBox-X 2026.01.02. (Please use the latest version of DOSBox-X)
# Lines starting with a # are comment lines and are ignored by DOSBox-X.
# They are used to (briefly) document the effect of each option.
# To write out ALL options, use command 'config -all' with -wc or -writeconf options.

[sdl]
#        fullscreen: Start DOSBox-X directly in fullscreen. (Press [F11/F12]+F to go back)
#        fulldouble: Use double buffering in fullscreen. It can reduce screen flickering, but it can also result in a slow DOSBox-X.
#    fullresolution: What resolution to use for fullscreen: original, desktop or a fixed size (e.g. 1024x768).
#                        Using your monitor's native resolution with aspect=true might give the best results.
#                        If you end up with small window on a large screen, try an output different from surface.
#  windowresolution: Scale the window to this size IF the output device supports hardware scaling.
#                        (output=surface does not!)
#    windowposition: Set the window position at startup in the positionX,positionY format (e.g.: 1300,200).
#                      The window will be centered with "," (or empty), and will be in the original position with "-".
#           display: Specify a screen/display number to use for a multi-screen setup (0 = default).
#            output: What video system to use for output (surface = software (SDL_Surface); openglnb = OpenGL nearest; openglpp = OpenGL perfect; ttf = TrueType font output).
#                      Possible values: default, surface, overlay, ttf, opengl, openglnb, openglhq, openglpp, ddraw, direct3d.
#       videodriver: Forces a video driver (e.g. windib/windows, directx, x11, fbcon, dummy, etc) for the SDL library to use.
#      transparency: Set the transparency of the DOSBox-X screen (both windowed and full-screen modes, on SDL2 and Windows SDL1 builds).
#                      The valid value is from 0 (no transparency, the default setting) to 90 (high transparency).
#          maximize: If set, the DOSBox-X window will be maximized at start (SDL2 and Windows SDL1 builds only; use fullscreen for TTF output).
#          autolock: Mouse will automatically lock, if you click on the screen. (Press CTRL-F10 to unlock)
# autolock_feedback: Autolock status feedback type, i.e. visual, auditive, none.
#                      Possible values: none, beep, flash.
#     middle_unlock: Whether you can press the middle mouse button to unlock the mouse when the mouse has been locked.
#                      If set to "manual", it works only with "autolock=false"; if set to "auto", it works only with "autolock=true".
#                      Possible values: none, manual, auto, both.
# clip_mouse_button: Select the mouse button or use arrow keys for the shared clipboard copy/paste function.
#                      The default mouse button is "right", which means using the right mouse button to select text, copy to and paste from the host clipboard.
#                      Set to "middle" to use the middle mouse button, "arrows" to use arrow keys instead of a mouse button, or "none" to disable this feature.
#                      For "arrows", press Home key (or Fn+Shift+Left on Mac laptops) to start selection, and End key (or Fn+Shift+Right on Mac laptops) to end selection.
#                      Possible values: none, middle, right, arrows.
# clip_key_modifier: Change the keyboard modifier for the shared clipboard copy/paste function using a mouse button or arrow keys.
#                      The default modifier is "shift" (both left and right shift keys). Set to "none" if no modifier is desired.
#                      Possible values: none, ctrl, lctrl, rctrl, alt, lalt, ralt, shift, lshift, rshift, ctrlalt, ctrlshift, altshift, lctrlalt, lctrlshift, laltshift, rctrlalt, rctrlshift, raltshift.
#   clip_paste_bios: Specify whether to use BIOS keyboard functions for the clipboard pasting instead of the keystroke method.
#                      For pasting clipboard text into Windows 3.x/9x applications (e.g. Notepad), make sure to use the keystroke method.
#                      Possible values: true, false, 1, 0, default.
#  clip_paste_speed: Set keyboard speed for pasting text from the shared clipboard.
#                      If the default setting of 30 causes lost keystrokes, increase the number.
#                      Or experiment with decreasing the number for applications that accept keystrokes quickly.
#       sensitivity: Mouse sensitivity. The optional second parameter specifies vertical sensitivity (e.g. 100,-50).
#   usesystemcursor: Use the mouse cursor of the host system instead of drawing a DOS mouse cursor. Activated when the mouse is not locked.
#   mouse_emulation: When is mouse emulated ?
#                      integration: when not locked
#                      locked:      when locked
#                      always:      every time
#                      never:       at no time
#                      If disabled, the mouse position in DOSBox-X is exactly where the host OS reports it.
#                      When using a high DPI mouse, the emulation of mouse movement can noticeably reduce the
#                      sensitiveness of your device, i.e. the mouse is slower but more precise.
#                      Possible values: integration, locked, always, never.
#   mouse_wheel_key: Convert mouse wheel movements into keyboard presses such as arrow keys.
#                      0: disabled; 1: up/down arrows; 2: left/right arrows; 3: PgUp/PgDn keys.
#                      4: Ctrl+up/down arrows; 5: Ctrl+left/right arrows; 6: Ctrl+PgUp/PgDn keys.
#                      7: Ctrl+W/Z, as supported by text editors like WordStar and MS-DOS EDIT.
#                      Putting a minus sign in front will disable the conversion for guest systems.
#       waitonerror: Wait before closing the console if DOSBox-X has an error.
#          priority: Priority levels for DOSBox-X. Second entry behind the comma is for when DOSBox-X is not focused/minimized.
#                        pause is only valid for the second entry.
#                      Possible values: lowest, lower, normal, higher, highest, pause.
#        mapperfile: File used to load/save the key/event mappings from. Resetmapper only works with the default value.
#   mapperfile_sdl1: File used to load/save the key/event mappings from DOSBox-X SDL1 builds. If set it will override "mapperfile" for SDL1 builds.
#   mapperfile_sdl2: File used to load/save the key/event mappings from DOSBox-X SDL2 builds. If set it will override "mapperfile" for SDL2 builds.
# forcesquarecorner: If set, DOSBox-X will force square corners (instead of round corners) for the DOSBox-X window when running in Windows 11.
#      usescancodes: Avoid usage of symkeys, in favor of scancodes. Might not work on all operating systems.
#                      If set to "auto" (default), it is enabled when using non-US keyboards in SDL1 builds.
#                      Possible values: true, false, 1, 0, auto.
#          overscan: Width of the overscan border (0 to 10) for the "surface" output.
#          titlebar: Change the string displayed in the DOSBox-X title bar.
#         showbasic: If set, DOSBox-X will show basic information including the DOSBox-X version number and current running speed in the title bar.
#       showdetails: If set, DOSBox-X will show the cycles count (FPS) and emulation speed relative to realtime in the title bar.
#          showmenu: Whether to show the menu bar (if supported). Default true.
fullscreen        = false
fulldouble        = false
fullresolution    = desktop
windowresolution  = original
windowposition    = -
display           = 0
output            = default
videodriver       = 
transparency      = 0
maximize          = false
autolock          = false
autolock_feedback = beep
middle_unlock     = manual
clip_mouse_button = right
clip_key_modifier = shift
clip_paste_bios   = default
clip_paste_speed  = 30
sensitivity       = 100
usesystemcursor   = false
mouse_emulation   = locked
mouse_wheel_key   = -1
waitonerror       = true
priority          = higher,normal
mapperfile        = mapper-dosbox-x.map
mapperfile_sdl1   = 
mapperfile_sdl2   = 
forcesquarecorner = true
usescancodes      = auto
overscan          = 0
titlebar          = 
showbasic         = true
showdetails       = false
showmenu          = true

[log]
#     logfile: file where the log messages will be saved to
#         vga: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#      vgagfx: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#     vgamisc: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#       int10: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#    sblaster: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
# dma_control: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         fpu: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         cpu: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#      paging: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         fcb: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#       files: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#       ioctl: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#        exec: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#     dosmisc: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         pit: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#    keyboard: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         pic: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#       mouse: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#        bios: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         gui: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#        misc: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#          io: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         pci: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#         sst: Enable/Disable logging of this type.
#                Possible values: true, false, debug, normal, warn, error, fatal, never.
#       int21: Log all INT 21h calls
#      fileio: Log file I/O through INT 21h
# debuggerrun: The run mode when the DOSBox-X Debugger starts.
#                Possible values: debugger, normal, watch.
logfile     = 
vga         = false
vgagfx      = false
vgamisc     = false
int10       = false
sblaster    = false
dma_control = false
fpu         = false
cpu         = false
paging      = false
fcb         = false
files       = false
ioctl       = false
exec        = false
dosmisc     = false
pit         = false
keyboard    = false
pic         = false
mouse       = false
bios        = false
gui         = false
misc        = false
io          = false
pci         = false
sst         = false
int21       = false
fileio      = false
debuggerrun = debugger

[dosbox]
#                                        language: Select a language file for DOSBox-X to use. Encoded with either UTF-8 or a DOS code page.
#                                                    You can set code page either in the language file or with "country" setting in [config] section.
#                                           title: Additional text to place in the title bar of the window.
#                                       logo text: Text to place at the bottom of the screen during the startup logo. Text will line wrap automatically.
#                                                    To explicitly break to the next line, put \n in the string.
#                                            logo: Location of PNG images to use in place of the DOSBox-X logo at startup.
#                                                    This is the path of the base file name. For example logo=subdir\sets\007\logo
#                                                    with machine=vgaonly will use subdir\sets\007\logo224x224.png as the logo.
#                                    fastbioslogo: If set, DOSBox-X will skip the BIOS screen by activating fast BIOS logo mode (without 1-second pause).
#                        disable graphical splash: If set, DOSBox-X will always display text-mode BIOS splash screen instead of the graphical one.
#                                                    The text-mode BIOS screen will automatically be used if the TrueType font (TTF) output is enabled.
#                                     startbanner: If set (default), DOSBox-X will display the welcome banner when it starts.
#                                bannercolortheme: You can specify a different background color theme for the welcome banner from the default one.
#                                                    Possible values: default, black, red, green, yellow, blue, magenta, cyan, white.
#                        configuration tool theme: Theme for the configuration tool.
#                                                    If not set, host dark mode setting will be followed.
#                                                    
#                                                    Possible values: Windows Default, Arizona, Black Leather Jacket, Bordeaux, Cinnamon, Designer, Emerald City, Fluorescent, HotDog Stand, LCD Default Screen Settings, LCD Reversed - Dark, LCD Reversed - Light, Mahogany, Monochrome, Ocean, Pastel, Patchwork, Plasma Power Saver, Rugby, The Blues, Tweed, Valentine, Wingtips.
#                                       dpi aware: Set this option (auto by default) to indicate to your OS that DOSBox-X is DPI aware.
#                                                    If it is not set, Windows Vista/7/8/10 and higher may upscale the DOSBox-X window
#                                                    on higher resolution monitors which is probably not what you want.
#                                                    Possible values: true, false, 1, 0, auto.
#                                    quit warning: Set this option to indicate whether DOSBox-X should show a warning message when the user tries to close its window.
#                                                    If set to auto (default), DOSBox-X will warn if a DOS program, game or a guest system is currently running.
#                                                    If set to autofile, DOSBox-X will warn if there are open file handles or a guest system is currently running.
#                                                    Possible values: true, false, 1, 0, auto, autofile.
#                        allow quit after warning: If set to false, DOSBox-X will disallow the quit option after displaying a warning message.
#                        working directory option: Select an option for DOSBox-X's working directory when it runs.
#                                                    autoprompt: DOSBox-X will auto-decide whether to prompt for a working directory.
#                                                    config: DOSBox-X will use the primary config file directory as the working directory.
#                                                    custom: Specify a working directory via the "working directory default" option.
#                                                    default: Similar to autoprompt, but DOSBox-X will ask whether to save the selected folder.
#                                                    force: Similar to "custom", while overriding -defaultdir command-line option if used.
#                                                    noprompt: DOSBox-X uses the current directory and never prompts for a working directory.
#                                                    program: DOSBox-X will use the DOSBox-X program directory as the working directory.
#                                                    prompt: DOSBox-X will always ask the user to select a working directory when it runs.
#                                                    userconfig: DOSBox-X will use its user configuration directory as the working directory.
#                                                    Possible values: autoprompt, config, custom, default, force, noprompt, program, prompt, userconfig.
#                       working directory default: The default directory to act as DOSBox-X's working directory. See also the setting "working directory option".
#                                                    For working directory option=prompt, the specified directory becomes the default directory for the folder selection.
#                           show advanced options: If set, the Configuration Tool will display all config options (including advanced ones) by default.
#                             resolve config path: If set to true, DOSBox-X will resolve options containing paths in the config file (except [autoexec] section).
#                                                    This includes environment variables (%VAR% [DOS/Windows] or ${VAR} [Linux/macOS] and tilde (~) in Linux/macOS.
#                                                    If set to dosvar, DOSBox-X forces to resolve DOS-style environment variables (%VAR%) in all platforms (and tilde).
#                                                    If set to tilde, DOSBox-X will only resolve tilde (~) in Linux/macOS but will not resolve environment variables.
#                                                    Possible values: true, false, dosvar, tilde, 1, 0.
#                                         hostkey: By default, DOSBox-X uses the mapper-defined host key, which defaults to F11 on Windows and F12 on other platforms.
#                                                    You may alternatively specify a host key with this setting and bypass the host key as defined in the mapper.
#                                                    This can also be done from the menu ("Main" => "Select host key").
#                                                    Possible values: ctrlalt, ctrlshift, altshift, mapper.
#                                 mapper send key: Select the key the mapper SendKey function will send.
#                                                    Possible values: winlogo, winmenu, alttab, ctrlesc, ctrlbreak, ctrlaltdel.
#                                             ime: Enables support for the system input methods (IME) for inputting characters in Windows and Linux builds.
#                                                    If set to auto, this feature is only enabled if DOSBox-X starts with a Chinese/Japanese/Korean code page.
#                                                    Possible values: true, false, 1, 0, auto.
#                                synchronize time: If set, DOSBox-X will try to automatically synchronize time with the host, unless you decide to change the date/time manually.
#                                   keyboard hook: Use keyboard hook (currently only on Windows) to catch special keys and synchronize the keyboard LEDs with the host.
#                                          weitek: If set, emulate the Weitek coprocessor. This option only has effect if cputype=386 or cputype=486.
#                             bochs debug port e9: If set, emulate Bochs debug port E9h. ASCII text written to this I/O port is assumed to be debug output, and logged.
#                                         machine: The type of machine DOSBox-X tries to emulate.
#                                                    Possible values: mda, cga, cga_mono, cga_rgb, cga_composite, cga_composite2, hercules, hercules_plus, hercules_incolor, hercules_color, tandy, pcjr, pcjr_composite, pcjr_composite2, amstrad, ega, ega200, jega, mcga, vgaonly, svga_s3, svga_s386c928, svga_s3vision864, svga_s3vision868, svga_s3vision964, svga_s3vision968, svga_s3trio32, svga_s3trio64, svga_s3trio64v+, svga_s3virge, svga_s3virgevx, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe, vesa_oldvbe10, pc98, pc9801, pc9821, svga_ati_egavgawonder, svga_ati_vgawonder, svga_ati_vgawonderplus, svga_ati_vgawonderxl, svga_ati_vgawonderxl24, svga_ati_mach8, svga_ati_mach32, svga_ati_mach64, svga_dosbox, fm_towns.
#                                        captures: Directory where things like wave, midi, screenshot get captured.
#                                        autosave: Enable the auto-save state feature. Specify a time interval in seconds, and optionally a save slot or start and end save slots.
#                                                    For example, "autosave=10 11-20" will set a 10-second time interval for auto-saving, and the save slots used will be between 11 and 20.
#                                                    You can additionally specify up to 9 programs for this feature, e.g. "autosave=10 11-20 EDIT:21-30 EDITOR:35" for "EDIT" and "EDITOR".
#                                                    Putting a minus sign (-) before the time interval causes the auto-saving function to not be activated at start.
#                                        saveslot: Select the default save slot (1-100) to save/load states.
#                                        savefile: Select the default save file to save/load states. If specified it will be used instead of the save slot.
#                          video debug at startup: If set, have video debug displays on by default
#                                      saveremark: If set, the save state feature will ask users to enter remarks when saving a state.
#                                  forceloadstate: If set, DOSBox-X will load a saved state even if it finds there is a mismatch in the DOSBox-X version, machine type, program name and/or the memory size.
#                               compresssaveparts: If set, DOSBox-X will compress components of saved states to save space.
#                          show recorded filename: If set, DOSBox-X will show message boxes with recorded filenames when making audio or video captures.
#                  skip encoding unchanged frames: Unchanged frames will not be sent to the video codec as a possible performance and bandwidth optimization.
#                           capture chroma format: Chroma format to use when capturing to H.264. 'auto' picks the best quality option.
#                                                    4:4:4       Chroma is at full resolution. This provides the best quality, however not widely supported by editing software.
#                                                    4:2:2       Chroma is at half horizontal resolution.
#                                                    4:2:0       Chroma is at quarter resolution, which may cause minor color smearing.
#                                                                However, this chroma format is most likely to be compatible with video editing software.
#                                                    Possible values: auto, 4:4:4, 4:2:2, 4:2:0.
#                                  capture format: Capture format to use when capturing video. The availability of the format depends on how DOSBox-X was compiled.
#                                                    default                     Use compiled-in default (avi-zmbv)
#                                                    avi-zmbv                    Use DOSBox-style AVI + ZMBV codec with PCM audio
#                                                    mpegts-h264                 Use MPEG transport stream + H.264 + AAC audio. Resolution & refresh rate changes can be contained
#                                                                                within one file with this choice, however not all software can support mid-stream format changes.
#                                                    Possible values: default, avi-zmbv, mpegts-h264.
#                          shell environment size: Size of the initial DOSBox-X shell environment block, in bytes. Setting to 0 implies a default size of 720 bytes as in DOSBox.
#                                                    You can increase this size to store more environment variables in DOS, although this does not affect the environment block
#                                                    of sub-processes spawned from the DOS shell. This option has no effect unless the dynamic kernel allocation is enabled.
#                                 shell permanent: If enabled, initial DOSBox-X shell will stay permanent (equivalent to /P switch).
#                               private area size: Set DOSBox-X private memory area size. This area contains private memory structures used by the DOS kernel.
#                                                    It is discarded when you boot into another OS. Mainline DOSBox uses 32KB. Testing shows that it is possible
#                                                    to run DOSBox with as little as 4KB. If DOSBox-X aborts with error "not enough memory for internal tables"
#                                                    then you need to increase this value.
#                                             a20: A20 gate emulation mode.
#                                                    The on/off/on_fake/off_fake options are intended for testing and debugging DOS development,
#                                                    or to emulate obscure hardware, or to work around potential extended memory problems with DOS programs.
#                                                    on_fake/off_fake are intended to test whether a program carries out a memory test to ensure the A20
#                                                    gate is set as intended (as HIMEM.SYS does). If it goes by the gate bit alone, it WILL crash.
#                                                    This parameter is also changeable from the builtin A20GATE command.
#                                                      fast                         Emulate A20 gating by remapping the first 64KB @ 1MB boundary (fast, mainline DOSBox behavior)
#                                                      mask                         Emulate A20 gating by masking memory I/O address (accurate)
#                                                      off                          Lock A20 gate off (Software/OS cannot enable A20)
#                                                      on                           Lock A20 gate on (Software/OS cannot disable A20)
#                                                      off_fake                     Lock A20 gate off but allow bit to toggle (hope your DOS game tests the HMA!)
#                                                      on_fake                      Lock A20 gate on but allow bit to toggle
#                       turn off a20 gate on boot: If enabled, A20 gate is switched off when booting a guest OS.
#                                                    Enabled by default. Recommended for MS-DOS when HIMEM.SYS is not installed in the guest OS.
#                                                    If disabled, and MS-DOS does not load HIMEM.SYS, programs and features that rely on the 1MB wraparound will fail.
#                                  cbus bus clock: C-BUS BCLK frequency (PC-98), used to emulate I/O delay.
#                                                    WARNING: In future revisions, PCI/motherboard chipset emulation will allow the guest OS/program to alter this value at runtime.
#                                                      std10                        10MHz (CPU speed multiple of 5MHz or PCI-based)
#                                                      std8                         8MHz (CPU speed multiple of 4MHz)
#                                                      std5                         5MHz (older PC-9801)
#                                                      <integer or float>           Any integer or floating point value will be used as the clock frequency in Hz
#                                                      <integer/integer ratio>      If a ratio is given (num/den), the ratio will be used as the clock frequency
#                                   isa bus clock: ISA BCLK frequency, used to emulate I/O delay.
#                                                    WARNING: In future revisions, PCI/motherboard chipset emulation will allow the guest OS/program to alter this value at runtime.
#                                                      std8.3                       8.333MHz (typical 386-class or higher)
#                                                      std8                         8MHz
#                                                      std6                         6MHz
#                                                      std4.77                      4.77MHz (precisely 1/3 x 14.31818MHz). Bus frequency of older PC/XT systems.
#                                                      oc10                         10MHz
#                                                      oc12                         12MHz
#                                                      oc15                         15MHz
#                                                      oc16                         16MHz
#                                                      <integer or float>           Any integer or floating point value will be used as the clock frequency in Hz
#                                                      <integer/integer ratio>      If a ratio is given (num/den), the ratio will be used as the clock frequency
#                                   pci bus clock: PCI bus frequency, used to emulate I/O delay.
#                                                    WARNING: In future revisions, PCI/motherboard chipset emulation will allow the guest OS/program to alter this value at runtime.
#                                                      std33.3                      33.333MHz (very common setting on motherboards)
#                                                      std30                        30MHz (some older mid-1990's Pentium systems)
#                                                      std25                        25MHz
#                                                      <integer or float>           Any integer or floating point value will be used as the clock frequency in Hz
#                                                      <integer/integer ratio>      If a ratio is given (num/den), the ratio will be used as the clock frequency
#                            call binary on reset: If set, this is the path of a binary blob to load into the ROM BIOS area and execute immediately after CPU reset.
#                                                    It will be executed before the BIOS POST routine, only ONCE. The binary blob is expected either to IRET or to
#                                                    jump directly to F000:FFF0 to return control to the BIOS.
#                                                    This can be used for x86 assembly language experiments and automated testing against the CPU emulation.
#                           unhandled irq handler: Determines how unhandled IRQs are handled. This may help some errant DOS applications.
#                                                    Leave unset for default behavior (simple).
#                                                    simple               Acknowledge the IRQ, and the master (if slave IRQ)
#                                                    mask_isr             Acknowledge IRQs in service on master and slave and mask IRQs still in service, to deal with errant handlers (em-dosbox method)
#                                                    Possible values: , simple, cooperative_2nd.
#                             call binary on boot: If set, this is the path of a binary blob to load into the ROM BIOS area and execute immediately before booting the DOS system.
#                                                    This can be used for x86 assembly language experiments and automated testing against the CPU emulation.
#                                   ibm rom basic: If set, this is the path of a ROM image containing IBM ROM BASIC. This is loaded just below the ROM BIOS.
#                                                    One recommended file is IBMROMBASIC-F6000h-1982-10-27.ROM, a 32KB ROM BIOS image loaded to segment F600 taken from an IBM 5150.
#                                                    
#                         rom bios allocation max: Maximum size (top down from 1MB) allowed for ROM BIOS dynamic allocation in KB
#                           rom bios minimum size: Once ROM BIOS layout is finalized, trim total region down to a minimum amount in KB
#                                    irq delay ns: IRQ delay in nanoseconds. Set to -1 to use default, 0 to disable.
#                                                    This is a more precise version of the irqdelay= setting.
#                                                    There are some old DOS games and demos that have race conditions with IRQs that need a nonzero value here to work properly.
#                                         iodelay: I/O delay in nanoseconds for I/O port access. Set to -1 to use default, 0 to disable.
#                                                    A value of 1000 (1us) is recommended for ISA bus type delays. If your game
#                                                    or demo is not sensitive to I/O port and ISA bus timing, you can turn this option off
#                                                    (set to 0) to increase game performance.
#                                       iodelay16: I/O delay for 16-bit transfers. -1 to use default, 0 to disable.
#                                       iodelay32: I/O delay for 32-bit transfers. -1 to use default, 0 to disable.
#                                            acpi: ACPI emulation, and what version of the specification to follow.
#                                                    WARNING: This option is very experimental at this time and should not be enabled unless you're willing to accept the consequences.
#                                                             Intended for use with ACPI-aware OSes including Linux and Windows 98/ME. This option will also slightly reduce available
#                                                             system memory to make room for the ACPI tables, just as real BIOSes do, and reserve an IRQ for ACPI functions.
#                                                    Possible values: off, 1.0, 1.0b, 2.0, 2.0a, 2.0b, 2.0c, 3.0, 3.0a, 3.0b, 4.0, 4.0a, 5.0, 5.0a, 6.0.
#                           acpi rsd ptr location: Where to store the Root System Description Pointer structure. You can have it stored in the ROM BIOS area, or the Extended Bios Data Area.
#                                                    Possible values: auto, bios, ebda.
#                                    acpi sci irq: IRQ to assign as ACPI system control interrupt. set to -1 to automatically assign.
#                                     acpi iobase: I/O port base for the ACPI device Power Management registers. Set to 0 for automatic assignment.
#                              acpi reserved size: Amount of memory at top to reserve for ACPI structures and tables. Set to 0 for automatic assignment.
#                                     memory file: If set, guest memory is memory-mapped from a file on disk, rather than allocated from memory.
#                                                    This option can help keep DOSBox-X from consuming too much RAM for large values of memsize.
#                                                    This option is required to emulate 4GB or more of RAM. The file will be created if it does not exist
#                                                    and it does not require any special maintenance or formatting.
#                                         memsize: Amount of memory DOSBox-X has in megabytes.
#                                                    This value is best left at its default to avoid problems with some games,
#                                                    although other games and applications may require a higher value.
#                                                    Programs that use 286 protected mode like Windows 3.0 in Standard Mode may crash with more than 15MB.
#                                                    A memory file is required to emulate a memory size of 4GB or more.
#                                                    The maximum value allowed is affected by the memalias setting which affects the maximum amount of memory CPU can access as a power of 2.
#                                                    The maximum value is also affected by the CPU type. See DOSBox-X console and log file for details.
#                                                    The maximum setting 1048576 represents 1TB and requires at least a Pentium II and PSE-40 emulation.
#                                       memsizekb: Amount of memory DOSBox-X has in kilobytes.
#                                                    This value should normally be set to 0.
#                                                    If nonzero, it is added to the memsize parameter.
#                                                    Finer grained control of total memory may be useful in
#                                                    emulating ancient DOS machines with less than 640KB of
#                                                    RAM or early 386 systems with odd extended memory sizes.
#                                                    For Tandy and PCjr emulation, it is strongly recommended.
#                                                    to specify a size that is a multiple of 32 (kb).
#                                                    
#                                   dos mem limit: Limit DOS conventional memory to this amount. Does not affect extended memory.
#                                                    Setting this option to a value in the range 636-639 can be used to simulate modern BIOSes
#                                                    that maintain an EBDA (Extended BIOS Data Area) at the top of conventional memory.
#                                                    You may also play with this option for diagnostic purposes or to stress test DOS programs in limited memory setups.
#                                                    
#                                                    A few DOS games & demos require this option to be set:
#                                                         Majic 12 "Show": If UMBs are enabled, set this option to 639 to avoid MCB chain corruption error.
#                        isa memory hole at 512kb: If set, emulate an ISA memory hole at the 512KB to 640KB area (0x80000-0x9FFFF).
#                                                    Possible values: true, false, 1, 0, auto.
#                         isa memory hole at 15mb: If set, emulate an ISA memory hole at the 15MB to 16MB area (0xF00000-0xFFFFFF).
#                                                    If auto, hole is disabled by default for IBM compatible modes and enabled by default for NEC PC-98 compatible modes.
#                                                    The reason for this is that the hole is needed for the PC-9821 256-color mode linear framebuffer to work with some DOS games even when memsize >= 16.
#                                                    Possible values: true, false, 1, 0, auto.
#                                    reboot delay: Reboot delay. How long to pause at BIOS POST after reboot in milliseconds.
#                                                    This option is provided so that it is possible to see what the guest application
#                                                    or OS might have written to the screen before resetting the system. A value of
#                                                    -1 means to use a reasonable default.
#                                        memalias: Memory aliasing emulation, in number of valid address bits.
#                                                    Many 386/486 class motherboards and processors prior to 1995
#                                                    had memory aliases for various technical reasons such as having
#                                                    less than 32 address bits on the CPU die.
#                                                    Recommended values when enabled:
#                                                        0: Pick a value automatically according to cputype.
#                                                           NOTE: Changing the cputype after initial startup will not change the auto setting i.e.
#                                                           starting with cputype=8086 will use a memalias of 20 even if you later change cputype to 386.
#                                                        24: 16MB aliasing. Common on 386SX systems (CPU had 24 external address bits)
#                                                            or 386DX and 486 systems where the CPU communicated directly with the ISA bus (A24-A31 tied off)
#                                                        26: 64MB aliasing. Some 486 clones (and 386EX/CX) had only 26 external address bits, some motherboards tied off A26-A31
#                                                        32: 4GB aliasing. This is normal for most 486/Pentium and later systems and is the default for most values of cputype.
#                                                        36: 64GB aliasing. Recommended if you are emulating more than 3.5GB of RAM and Pentium Pro/II Page Size Extensions.
#                                                        40: 1TB aliasing. Recommended if you are emulating more than 63GB of RAM and Pentium Pro/II Page Size Extensions.
#                                      nocachedir: If set, MOUNT commands will mount with -nocachedir (disable directory caching) by default.
#                                     freesizecap: If set to "cap" (="true"), the value of MOUNT -freesize will apply only if the actual free size is greater than the specified value.
#                                                    If set to "relative", the value of MOUNT -freesize will change relative to the specified value.
#                                                    If set to "fixed" (="false"), the value of MOUNT -freesize will be a fixed one to be reported all the time.
#                                                    Possible values: true, false, fixed, relative, cap, 2, 1, 0.
#                                 convertdrivefat: If set, DOSBox-X will auto-convert mounted non-FAT drives (such as local drives) to FAT format for use with guest systems.
#                          convert fat free space: If set, auto-converted FAT images will have the specified free space in MB (except PC-98 FAT12/16 HDI) if less than the actual free space.
#                                                    If set to 0, the converted disk will be read-only; if set to -1, the actual free space on host drive will be used for the converted disk.
#                             convert fat timeout: If set to a positive integer, the FAT auto-conversion will time out after the specified number of seconds.
#               leading colon write protect image: If set, BOOT and IMGMOUNT commands will put an image file name with a leading colon (:) in write-protect mode.
#                        locking disk image mount: If set, BOOT and IMGMOUNT commands will try to lock the mounted disk image files. As a result, you cannot
#                                                    mount the same disk image files in read/write mode at the same time as this can cause possible disk corruptions.
#                  unmask keyboard on int 16 read: If set, INT 16h will unmask IRQ 1 (keyboard) when asked to read keyboard input.
#                                                    It is strongly recommended that you set this option if running Windows 3.11 Windows for Workgroups in DOSBox-X.
# int16 keyboard polling undocumented cf behavior: If set, INT 16h function AH=01h will also set/clear the carry flag depending on whether input was available.
#                                                    There are some old DOS games and demos that rely on this behavior to sense keyboard input, and this behavior
#                                                    has been verified to occur on some old (early 90s) BIOSes.
#                             allow port 92 reset: If set (default), allow the application to reset the CPU through port 92h
#                                  enable port 92: Emulate port 92h (PS/2 system control port A). If you want to emulate a system that pre-dates the PS/2, set to 0.
#                       enable 1st dma controller: Emulate 1st (AT) DMA controller (default). Set to 0 if you wish to emulate a system that lacks DMA (PCjr and some Tandy systems)
#                       enable 2nd dma controller: Emulate 2nd (AT) DMA controller (default). Set to 0 if you wish to emulate a PC/XT system without 16-bit DMA.
#                                                    Note: mainline DOSBox automatically disables 16-bit DMA when machine=cga or machine=hercules, while DOSBox-X does not.
#                     allow dma address decrement: If set, allow increment & decrement modes as specified in the 8237 datasheet.
#                                                    If clear, always increment the address (as if to emulate clone 8237 implementations that skipped the inc/dec bit).
#                  enable 128k capable 16-bit dma: If true, DMA controller emulation models ISA hardware that permits 16-bit DMA to span 128KB.
#                                                    If false, DMA controller emulation models PCI hardware that limits 16-bit DMA to 64KB boundaries.
#                                                    If auto, the choice is made according to other factors in hardware emulation
#                                                    Possible values: true, false, 1, 0, auto.
#                 enable dma extra page registers: If set, emulate the extra page registers (I/O ports 0x80, 0x84-0x86, 0x88, 0x8C-0x8E), like actual hardware.
#                                                    Note that mainline DOSBox behavior is to NOT emulate these registers.
#                   dma page registers write-only: Normally (on AT hardware) the DMA page registers are read/write. Set this option if you want to emulate PC/XT hardware where the page registers are write-only.
#              cascade interrupt never in service: If set, PIC emulation will never mark cascade interrupt as in service. This is OFF by default. It is a hack for troublesome games.
#             cascade interrupt ignore in service: If true, PIC emulation will allow slave pic interrupts even if the cascade interrupt is still "in service" (common PC-98 behavior)
#                                                    If false, PIC emulation will consider cascade in-service state when deciding which interrupt to signal (common IBM PC behavior)
#                                                    If auto, setting is chosen based on machine type and other configuration.
#                                                    Possible values: true, false, 1, 0, auto.
#                                enable slave pic: Enable slave PIC (IRQ 8-15). Set this to 0 if you want to emulate a PC/XT type arrangement with IRQ 0-7 and no IRQ 2 cascade.
#                              enable pc nmi mask: Enable PC/XT style NMI mask register (0xA0). Note that this option conflicts with the secondary PIC and will be ignored if the slave PIC is enabled.
#               allow more than 640kb base memory: If set, and space is available, allow conventional memory to extend past 640KB.
#                                                    For example, if machine=cga, conventional memory can extend out to 0xB800 and provide up to 736KB of RAM.
#                                                    This allows you to emulate PC/XT style memory extensions.
#                                                    For machine=tandy, this enables up to 768KB of memory which is then provided as 640KB to DOS to emulate the Tandy 768KB configuration with no overlap between DOS and video memory
#                                  enable pci bus: Enable PCI bus emulation
language                                        = 
title                                           = 
logo text                                       = 
logo                                            = 
fastbioslogo                                    = false
disable graphical splash                        = false
startbanner                                     = true
bannercolortheme                                = default
configuration tool theme                        = 
dpi aware                                       = auto
quit warning                                    = auto
allow quit after warning                        = true
working directory option                        = default
working directory default                       = 
show advanced options                           = false
resolve config path                             = true
hostkey                                         = mapper
mapper send key                                 = ctrlaltdel
ime                                             = auto
synchronize time                                = false
keyboard hook                                   = false
weitek                                          = false
bochs debug port e9                             = false
machine                                         = svga_s3
captures                                        = capture
autosave                                        = 
saveslot                                        = 1
savefile                                        = 
video debug at startup                          = false
saveremark                                      = true
forceloadstate                                  = false
compresssaveparts                               = true
show recorded filename                          = false
skip encoding unchanged frames                  = false
capture chroma format                           = auto
capture format                                  = default
shell environment size                          = 0
shell permanent                                 = false
private area size                               = 32768
a20                                             = mask
turn off a20 gate on boot                       = true
cbus bus clock                                  = std10
isa bus clock                                   = std8.3
pci bus clock                                   = std33.3
call binary on reset                            = 
unhandled irq handler                           = 
call binary on boot                             = 
ibm rom basic                                   = 
rom bios allocation max                         = 0
rom bios minimum size                           = 0
irq delay ns                                    = -1
iodelay                                         = -1
iodelay16                                       = -1
iodelay32                                       = -1
acpi                                            = off
acpi rsd ptr location                           = auto
acpi sci irq                                    = -1
acpi iobase                                     = 0
acpi reserved size                              = 0
memory file                                     = 
memsize                                         = 16
memsizekb                                       = 0
dos mem limit                                   = 0
isa memory hole at 512kb                        = auto
isa memory hole at 15mb                         = auto
reboot delay                                    = -1
memalias                                        = 0
nocachedir                                      = false
freesizecap                                     = cap
convertdrivefat                                 = true
convert fat free space                          = 250
convert fat timeout                             = 4
leading colon write protect image               = true
locking disk image mount                        = true
unmask keyboard on int 16 read                  = true
int16 keyboard polling undocumented cf behavior = false
allow port 92 reset                             = true
enable port 92                                  = true
enable 1st dma controller                       = true
enable 2nd dma controller                       = true
allow dma address decrement                     = true
enable 128k capable 16-bit dma                  = auto
enable dma extra page registers                 = true
dma page registers write-only                   = false
cascade interrupt never in service              = false
cascade interrupt ignore in service             = auto
enable slave pic                                = true
enable pc nmi mask                              = true
allow more than 640kb base memory               = false
enable pci bus                                  = true

[render]
#               frameskip: How many frames DOSBox-X skips before drawing one.
#                  aspect: Aspect ratio correction mode. Can be set to the following values:
#                              'false' (default):
#                                  'direct3d'/opengl outputs: image is simply scaled to full
#                                     window/fullscreen size, possibly resulting in dis-
#                                     proportional image
#                                  'surface' output: it does no aspect ratio correction,
#                                     resulting in disproportional images if VGA mode pixel
#                                     ratio is not 4:3 (default)
#                              'true':
#                                  'direct3d'/opengl outputs: uses output driver functions to
#                                     scale / pad image with black bars, correcting output 
#                                     to proportional 4:3 image
#                                     In most cases image degradation should not be noticeable
#                                    (it all depends on the video adapter and how much the image
#                                     is upscaled).
#                                     Should have none to negligible impact on performance,
#                                     mostly being done in hardware.
#                                     For the pixel-perfect scaling (output=openglpp), it is
#                                     recommended to enable this whenever the emulated display
#                                     has an aspect ratio of 4:3
#                                  'surface' output: inherits old DOSBox aspect ratio correction
#                                     method (adjusting rendered image line count to correct
#                                     output to 4:3 ratio)
#                                     Due to source image manipulation this mode does not mix
#                                     well with scalers, i.e. multiline scalers like hq2x/hq3x
#                                     will work poorly
#                                     Slightly degrades visual image quality. Has a tiny impact
#                                     on performance.
#                                     When using xBRZ scaler with 'surface' output, aspect
#                                     ratio correction is done by the scaler itself, so none of
#                                     the above apply.
#                            Possible values: false, true, 0, 1, yes, no, nearest, bilinear.
#            aspect_ratio: Set the aspect ratio (e.g. 16:9) in the aspect ratio correction mode. 0:0 means the default ratio of 4:3, and -1:-1 means the original image ratio.
#                   char9: Allow 9-pixel wide text mode fonts instead of 8-pixel wide fonts.
#                    euro: Display Euro symbol instead of the specified ASCII character (33-255).
#                            For example, setting it to 128 allows Euro symbol to be displayed instead of C-cedilla.
#              doublescan: If set, doublescanned output emits two scanlines for each source line, in the same manner as the actual VGA output (320x200 is rendered as 640x400 for example).
#                            If clear, doublescanned output is rendered at the native source resolution (320x200 as 320x200).
#                            This affects the raster PRIOR to the software or hardware scalers.
#                            Setting this option may prevent some scalers to work as expected.
#                            Try turning this option off in such case.
#                            For pixel-perfect scaling (output=openglpp), it is recommended to turn this option off.
#              modeswitch: Let DOSBox-X determine the resolution of the monitor. This feature is only available when DOSBox-X is compiled with SDL2 support.
#                  scaler: Scaler used to enlarge/enhance low resolution modes. Add keyword 'forced', after the name of the scaler to always use the scaler even if the result might not be desired.(e.g. 'normal2x forced')
#                            Appending 'prompt' will cause a confirmation message for forcing the scaler.
#                            To fit a scaler in the resolution used at full screen may require a border or side bars.
#                            To fill the screen entirely, depending on your hardware, a different scaler/fullresolution might work.
#                            Scalers should work with most output options, but they are ignored for openglpp and TrueType font outputs.
#                            If you are using OpenGL/Direct3D output and a shader that requires it, set to hardware_none or hardware2x.
#                            Possible values: none, normal2x, normal3x, normal4x, normal5x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x, gray, gray2x, hardware_none, hardware2x, hardware3x, hardware4x, hardware5x, xbrz, xbrz_bilinear.
#                glshader: Path to GLSL shader source to use with OpenGL output ("none" to disable, or "default" for default shader).
#                            Can be either an absolute path, a file in the "glshaders" subdirectory of the DOSBox-X configuration directory, or one of the built-in shaders (e.g. "sharp" for the pixel-perfect scaling mode):
#                            advinterp2x, advinterp3x, advmame2x, advmame3x, rgb2x, rgb3x, scan2x, scan3x, tv2x, tv3x, sharp.
#             pixelshader: Set Direct3D pixel shader program (effect file must be in Shaders subdirectory). If 'forced' is appended, then the pixel shader will be used even if the result might not be desired.
#              xbrz slice: Number of screen lines to process in single xBRZ scaler taskset task, affects xBRZ performance, 16 is the default
# xbrz fixed scale factor: To use fixed xBRZ scale factor (i.e. to attune performance), set it to 2-6, 0 - use automatic calculation (default)
#   xbrz max scale factor: To cap maximum xBRZ scale factor used (i.e. to attune performance), set it to 2-6, 0 - use scaler allowed maximum (default)
#                 autofit: Best fits image to window
#                              Intended for output=direct3d, fullresolution=original, aspect=true
#          monochrome_pal: Specify the color of monochrome display.
#                            Append 'bright' for a brighter look.
#                            Possible values: green, amber, gray, white.
frameskip               = 0
aspect                  = false
aspect_ratio            = 0:0
char9                   = true
euro                    = -1
doublescan              = true
modeswitch              = false
scaler                  = normal2x
glshader                = none
pixelshader             = none
xbrz slice              = 16
xbrz fixed scale factor = 0
xbrz max scale factor   = 0
autofit                 = true
monochrome_pal          = green

[pc98]
#              pc-98 BIOS copyright string: If set, the PC-98 BIOS copyright string is placed at E800:0000. Enable this for software that detects PC-98 vs Epson.
#              pc-98 int 1b fdc timer wait: If set, INT 1Bh floppy access will wait for the timer to count down before returning.
#                                             This is needed for Ys II to run without crashing.
#               pc-98 pic init to read isr: If set, the programmable interrupt controllers are initialized by default (if PC-98 mode) so that the in-service interrupt status can be read immediately. There seems to be a common convention in PC-98 games to program and/or assume this mode for cooperative interrupt handling. This option is enabled by default for best compatibility with PC-98 games.
#                           pc-98 fm board: In PC-98 mode, selects the FM music board to emulate.
#                                             Possible values: auto, off, false, board14, board26k, board86, board86c.
#                       pc-98 fm board irq: If set, helps to determine the IRQ of the FM board. A setting of zero means to auto-determine the IRQ.
#                   pc-98 fm board io port: If set, helps to determine the base I/O port of the FM board. A setting of zero means to auto-determine the port number.
#                         pc-98 time stamp: Emulate the time stamp/hardware wait I/O ports at 5Ch and 5Eh. This is recommended.
#                         pc-98 sound bios: Set Sound BIOS enabled bit in MEMSW 4 for some games that require it.
#                                             TODO: Real emulation of PC-9801-26K/86 Sound BIOS
#           pc-98 load sound bios rom file: If set, load SOUND.ROM if available and prsent that to the guest instead of trying to emulate directly.
#                                             This is strongly recommended, and is default enabled.
#                                             SOUND.ROM is a snapshot of the FM board BIOS taken from real PC-98 hardware.
#                   pc-98 buffer page flip: If set, the game's request to page flip will be delayed to vertical retrace, which can eliminate tearline artifacts.
#                                             Note that this is NOT the behavior of actual hardware. This option is provided for the user's preference.
#            pc-98 enable 256-color planar: Allow 256-color planar graphics mode if set, disable if not set.
#                                             This is a form of memory access in 256-color mode that existed for a short
#                                             time before later PC-9821 models removed it. This option must be enabled
#                                             to use DOSBox-X with Windows 3.1 and its built-in 256-color driver.
#                   pc-98 enable 256-color: Allow 256-color graphics mode if set, disable if not set
#                    pc-98 enable 16-color: Allow 16-color graphics mode if set, disable if not set
#                        pc-98 enable grcg: Allow GRCG graphics functions if set, disable if not set
#                         pc-98 enable egc: Allow EGC graphics functions if set, disable if not set
#                 pc-98 enable 188 user cg: Allow 188+ user-defined CG cells if set
#                  pc-98 start gdc at 5mhz: Start GDC at 5MHz if set, 2.5MHz if clear. May be required for some games.
#              pc-98 allow scanline effect: If set, PC-98 emulation will allow the DOS application to enable the 'scanline effect'
#                                             in 200-line graphics modes upconverted to 400-line raster display. When enabled, odd
#                                             numbered scanlines are blanked instead of doubled
#                          pc-98 bus mouse: Enable PC-98 bus mouse emulation. Disabling this option does not disable INT 33h emulation.
#                 pc-98 nec mouse function: If set, Use NEC mouse function in int 33h.
#                         pc-98 video mode: Specify the preferred PC-98 video mode.
#                                             Valid values are 15, 24, or 31 for each specific horizontal refresh rate on the platform.
#                                             24khz is default and best supported at this time.
#                                             15khz is not implemented at this time.
#                                             31khz is experimental at this time.
#                                             Possible values: , 24khz, 31khz, 15khz.
#                pc-98 timer always cycles: This controls PIT 1 PC speaker behavior related to turning the output on and off.
#                                             Default setting is 'auto' to let the emulator choose for you.
#                                             true:  PIT 1 will always cycle whether or not the speaker is on (PC-9801 behavior).
#                                             false: PIT 1 will only cycle when the speaker is on (PC-9821 behavior).
#                                             Some older games will require the PC-9801 behavior to function properly.
#                                             Possible values: true, false, 1, 0, auto.
#             pc-98 timer master frequency: 8254 timer clock frequency (NEC PC-98). Depending on the CPU frequency the clock frequency is one of two common values.
#                                             If your setting is neither of the below the closest appropriate value will be chosen.
#                                             This setting affects the master clock rate that DOS applications must divide down from to program the timer
#                                             at the correct rate, which affects timer interrupt, PC speaker, and the COM1 RS-232C serial port baud rate.
#                                             8MHz is treated as an alias for 4MHz and 10MHz is treated as an alias for 5MHz.
#                                                 0: Use default (auto)
#                                                 4: 1.996MHz (as if 4MHz or multiple thereof CPU clock)
#                                                 5: 2.457MHz (as if 5MHz or multiple thereof CPU clock)
# pc-98 allow 4 display partition graphics: According to NEC graphics controller documentation, graphics mode is supposed to support only
#                                             2 display partitions. Some games rely on hardware flaws that allowed 4 partitions.
#                                                -1: Default (choose automatically)
#                                                 0: Disable
#                                                 1: Enable
#          pc-98 force ibm keyboard layout: Force to use a default keyboard layout like IBM US-English for PC-98 emulation.
#                                             Will only work with apps and games using BIOS for keyboard.
#                                             Possible values: true, false, 1, 0, auto.
#          pc-98 force JIS keyboard layout: Force to use a default keyboard layout like JIS (JP106) for PC-98 emulation.
#                                             Will only work with apps and games using BIOS for keyboard.
#                       pc-98 try font rom: If enabled, DOSBox-X will first try to load FONT.ROM as generated by T98Tools for PC-98 emulation.
#                        pc-98 anex86 font: Specify an Anex86 compatible font to load as supported by the Anex86 emulator for PC-98 emulation.
#                                             By default DOSBox-X tries to load ANEX86.BMP followed by FREECG98.BMP after trying to load FONT.ROM.
#                                             If you specify a font here then it will be tried first, perhaps before FONT.ROM (see previous option).
#                         pc-98 fontx sbcs: Specifies a FONTX2 file (8x16) to be used in PC-98 mode.
#                                             This file has priority over ANEX86.BMP and FREECG98.BMP.
#                         pc-98 fontx dbcs: Specifies a FONTX2 file (16x16) to be used in PC-98 mode.
#                                             This file has priority over ANEX86.BMP and FREECG98.BMP.
#              pc-98 fontx internal symbol: If set, Use the internal data for hankaku symbols instead of the data in the FONTX2 file.
#  pc-98 show graphics layer on initialize: If PC-98 mode and INT 33h emulation is enabled, the graphics layer will be automatically enabled
#                                             at driver startup AND when INT 33h AX=0 is called. This is NEC MOUSE.COM behavior and default
#                                             enabled. To emulate other drivers like QMOUSE that do not follow this behavior, set to false.
#       pc-98 chargen vsync-limited access: If set, reading pixels from the character generator while in Code Access mode (or always, for ANK
#                                             characters) will be invalid. Some models (i.e. PC-9821As3) dont seem to have this limitation, but
#                                             many others do.
#                                             This option is set to false by default, set this option to true if you suffer text glitches.
#                                             It is reported that setting this option to true will result in glitches in some titles;therefore revert this option to false in such cases.
pc-98 BIOS copyright string              = false
pc-98 int 1b fdc timer wait              = false
pc-98 pic init to read isr               = true
pc-98 fm board                           = auto
pc-98 fm board irq                       = 0
pc-98 fm board io port                   = 0
pc-98 time stamp                         = true
pc-98 sound bios                         = false
pc-98 load sound bios rom file           = true
pc-98 buffer page flip                   = false
pc-98 enable 256-color planar            = true
pc-98 enable 256-color                   = true
pc-98 enable 16-color                    = true
pc-98 enable grcg                        = true
pc-98 enable egc                         = true
pc-98 enable 188 user cg                 = true
pc-98 start gdc at 5mhz                  = false
pc-98 allow scanline effect              = true
pc-98 bus mouse                          = true
pc-98 nec mouse function                 = false
pc-98 video mode                         = 
pc-98 timer always cycles                = auto
pc-98 timer master frequency             = 0
pc-98 allow 4 display partition graphics = -1
pc-98 force ibm keyboard layout          = auto
pc-98 force JIS keyboard layout          = false
pc-98 try font rom                       = true
pc-98 anex86 font                        = 
pc-98 fontx sbcs                         = 
pc-98 fontx dbcs                         = 
pc-98 fontx internal symbol              = false
pc-98 show graphics layer on initialize  = true
pc-98 chargen vsync-limited access       = false

[dosv]
#             dosv: Enable DOS/V emulation and specify which version to emulate. This option is intended for use with games or software
#                     originating from East Asia (China, Japan, Korea) that use the double byte character set (DBCS) encodings and DOS/V extensions
#                     to display Japanese (jp), Chinese (chs/cht/cn/tw), or Korean (ko) text. Note that enabling DOS/V replaces 80x25 text mode with
#                     a EGA/VGA graphics mode that emulates text mode to display the characters and may be incompatible with non-Asian software that
#                     assumes direct access to the text mode via segment 0xB800. For a general DOS environment with CJK support please disable DOS/V
#                     emulation and use TrueType font (TTF) output with a CJK code page (932, 936, 949, 950) and TTF font with CJK characters instead.
#                     Possible values: off, jp, ko, chs, cht, cn, tw.
#       getsysfont: If enabled, DOSBox-X will try to get and use the system fonts on Windows and Linux platforms for the DOS/V emulation.
#                     If this cannot be done, then DOSBox-X will try to use the internal Japanese DOS/V font, or you can specify a different font.
#        fontxsbcs: FONTX2 file used to rendering SBCS characters (8x19) in DOS/V or JEGA mode. If not specified, the default one will be used.
#                     Loading the ASC16 and ASCFONT.15 font files (from the UCDOS and ETen Chinese DOS systems) is also supported for the DOS/V mode.
#      fontxsbcs16: FONTX2 file used to rendering SBCS characters (8x16) in DOS/V or JEGA mode. If not specified, the default one will be used.
#                     Loading the ASC16 and ASCFONT.15 font files (from the UCDOS and ETen Chinese DOS systems) is also supported for the DOS/V mode.
#      fontxsbcs24: FONTX2 file used to rendering SBCS characters (12x24) in DOS/V mode (with V-text). If not specified, the default one will be used.
#                     Loading the ASC24 and ASCFONT.24? font files (the latter from the ETen Chinese DOS system) is also supported for the DOS/V mode.
#        fontxdbcs: FONTX2 file used to rendering DBCS characters (16x16) in DOS/V or VGA/JEGA mode. If not specified, the default one will be used.
#                     Alternatively, you can load a BDF or PCF font file (16x16 or 15x15), such as the free bitmap fonts from WenQuanYi (https://wenq.org/).
#                     For Simplified Chinese DOS/V, loading the HZK16 font file (https://github.com/aguegu/BitmapFont/tree/master/font) is also supported.
#                     For Traditional Chinese DOS/V, loading the STDFONT.15 font file from the ETen Chinese DOS system is also supported.
#      fontxdbcs14: FONTX2 file used to rendering DBCS characters (14x14) for Configuration Tool or EGA mode. If not specified, the default one will be used.
#                     Alternatively, you can load a BDF or PCF font file (14x14 or 15x15), such as the free bitmap fonts from WenQuanYi (https://wenq.org/).
#                     For Simplified Chinese DOS/V, loading the HZK14 font file (https://github.com/aguegu/BitmapFont/tree/master/font) is also supported.
#                     For Traditional Chinese DOS/V, loading the STDFONT.15 font file from the ETen Chinese DOS system is also supported.
#      fontxdbcs24: FONTX2 file used to rendering DBCS characters (24x24) in DOS/V mode (with V-text and 24-pixel fonts enabled).
#                     For Simplified Chinese DOS/V, loading the HZK24? font file (https://github.com/aguegu/BitmapFont/tree/master/font) is also supported.
#                     For Traditional Chinese DOS/V, loading the STDFONT.24 font file from the ETen Chinese DOS system is also supported.
#   showdbcsnodosv: Enables rendering of Chinese/Japanese/Korean characters for DBCS code pages in standard VGA and EGA machine types in non-DOS/V and non-TTF mode.
#                     DOS/V fonts will be used in such cases, which can be adjusted by the above config options (such as fontxdbcs, fontxdbcs14, and fontxdbcs24).
#                     Setting to "auto" enables Chinese/Japanese/Korean character rendering if a language file is loaded (or with "autodbcs" option set) in such cases.
#                     Possible values: true, false, 1, 0, auto.
#              yen: Enables the Japanese yen symbol at 5ch if it is found at 7fh in a custom SBCS font for the Japanese DOS/V or JEGA emulation.
#              del: Maps the undefined del symbol (0x7F) to the next character (0x80) for the Japanese DOS/V and other Japanese mode emulations.
#       fepcontrol: FEP control API for the DOS/V emulation.
#                     Possible values: ias, mskanji, both.
#           vtext1: V-text screen mode 1 for the DOS/V emulation. Enter command "VTEXT 1" for this mode. Note that XGA/SXGA mode is only supported by the svga_s3trio and svga_et4000 machine types.
#                     Possible values: xga, xga24, sxga, sxga24, svga.
#           vtext2: V-text screen mode 2 for the DOS/V emulation. Enter command "VTEXT 2" for this mode. Note that XGA/SXGA mode is only supported by the svga_s3trio and svga_et4000 machine types.
#                     Possible values: xga, xga24, sxga, sxga24, svga.
#   use20pixelfont: Enables the 20 pixel font to be used instead of the 24 pixel system font for the Japanese DOS/V emulation (with V-text enabled).
#            j3100: With the setting dosv=jp and a non-off value of this option, the Toshiba J-3100 machine will be emulated with DCGA support.
#                     Setting to "on" or "auto" starts J-3100 automatically, and with the setting "manual" you can enter J-3100 mode with DCGA command.
#                     Possible values: off, on, auto, manual, 0, 1, 2.
#        j3100type: Specifies the Toshiba J-3100 machine type if J-3100 mode is enabled. The color palette will be changed with different machine types.
#                     Possible values: default, gt, sgt, gx, gl, sl, sgx, ss, gs, sx, sxb, sxw, sxp, ez, zs, zx.
# j3100colorscroll: Specifies that the color display can be used for scrolling, which is currently incompatible with for example the J-3100 version of the SimCity game.
#                     The VGA version of the Toshiba Windows 3.1 works fine with the "false" value of this setting, whereas its CGA/EGA version requires a "true" value for this.
#   j3100backcolor: Specifies the background color in J-3100 mode. If not specified, the colors will be those of the display type corresponding to the model specified in j3100type.
#   j3100textcolor: Specifies the text color in J-3100 mode. If not specified, the colors will be those of the display type corresponding to the model specified in j3100type.
dosv             = off
getsysfont       = true
fontxsbcs        = 
fontxsbcs16      = 
fontxsbcs24      = 
fontxdbcs        = 
fontxdbcs14      = 
fontxdbcs24      = 
showdbcsnodosv   = auto
yen              = false
del              = true
fepcontrol       = both
vtext1           = svga
vtext2           = xga
use20pixelfont   = false
j3100            = off
j3100type        = default
j3100colorscroll = false
j3100backcolor   = 
j3100textcolor   = 

[video]
#                 int 10h use video parameter table: If set, INT 10h will use the video parameter table for standard EGA/VGA modes.
#                                                      If not set, internal modesetting will be used, same as DOSBox and most forks do.
#                                                      If auto, the video parameter table will be used if any DOS program redirects the table (usually to override mode setting parameters)
#                                                      Possible values: auto, true, false, 1, 0.
#                                         vmemdelay: VGA Memory I/O delay in nanoseconds. Set to -1 to use default, 0 to disable.
#                                                      Default off. Enable this option (-1 or nonzero) if you are running a game or
#                                                      demo that needs slower VGA memory (like that of older ISA hardware) to work properly.
#                                                      If your game is not sensitive to VGA RAM I/O speed, then turning on this option
#                                                      will do nothing but cause a significant drop in frame rate which is probably not
#                                                      what you want. Recommended values -1, 0 to 2000.
#                                     lfb vmemdelay: Set this option to true if you need vmemdelay to apply to SVGA and linear framebuffer video modes as well.
#                                                      This affects anything in which DOSBox-X emulates as a linear framebuffer including MDA/Hercules and PC-98 LFB.
#                                                      Note that this option may slightly reduce emulator performance with such modes.
#                                   prevent capture: This option allows you to prevent capture of the DOSBox window, if an API is provided by the system to do so.
#                                                      empty or none: the window is normal and it can be screen captured.
#                                                      blank: notify the system so that if a screenshot is attempted, the window appears blank.
#                                                      invisible: notify the system not to include the DOSBox window in screen capture.
#                                                      
#                                                      This option may be useful if you would like to prevent your DOS gaming from appearing in the Windows 11 Recall feature
#                                                      Possible values: , none, blank, invisible.
#                                          vmemsize: Amount of video memory in megabytes.
#                                                        The maximum resolution and color depth the svga_s3 will be able to display
#                                                        is determined by this value.
#                                                        -1: auto (vmemsizekb is ignored)
#                                                        0: 512k (800x600  at 256 colors) if vmemsizekb=0
#                                                        1: 1024x768  at 256 colors or 800x600  at 64k colors
#                                                        2: 1600x1200 at 256 colors or 1024x768 at 64k colors or 640x480 at 16M colors
#                                                        4: 1600x1200 at 64k colors or 1024x768 at 16M colors
#                                                        8: up to 1600x1200 at 16M colors
#                                                      For build engine games, use more memory than in the list above so it can
#                                                      use triple buffering and thus won't flicker.
#                                                      
#                                        vmemsizekb: Amount of video memory in kilobytes, in addition to vmemsize.
#                            vbe window granularity: Controls VESA BIOS non-linear framebuffer window granularity in KB. This affects ONLY the VESA BIOS extensions. Set 0 to functional normally.
#                                   vbe window size: Controls VESA BIOS non-linear framebuffer window size in KB. This affects ONLY the VESA BIOS extensions. Set 0 to functional normally.
#                                  enable 8-bit dac: If set, allow VESA BIOS calls in IBM PC mode to set DAC width. Has no effect in PC-98 mode.
#                           high intensity blinking: Set to false if you want to see high-intensity background colors instead of blinking foreground text.
#                                                      This option has no effect in PC-98 and some other video modes.
#                                     svga lfb base: If nonzero, define the physical memory address of the linear framebuffer.
#                                           pci vga: If set, SVGA is emulated as if a PCI device (when enable pci bus=true).
#                  vga attribute controller mapping: This affects how the attribute controller maps colors, especially in 256-color mode.
#                                                      Some SVGA cards handle the attribute controller palette differently than most SVGA cards.
#                                                        auto                         Automatically pick the mapping based on the SVGA chipset.
#                                                        4x4                          Split into two 4-bit nibbles, map through AC, recombine. This is standard VGA behavior including clone SVGA cards.
#                                                        4low                         Split into two 4-bit nibbles, remap only the low 4 bits, recombine. This is standard ET4000 behavior.
#                                                      
#                                                      NOTES:
#                                                        Demoscene executable 'COPPER.EXE' requires the '4low' behavior in order to display line-fading effects
#                                                        (including scrolling credits) correctly, else those parts of the demo show up as a blank screen.
#                                                        
#                                                        4low behavior is default for ET4000 emulation.
#                                                      Possible values: , auto, 4x4, 4low, first16.
#                    enable supermegazeux tweakmode: If set, allow old MegaZeux 256-color text tweakmode aka 'Super MegaZeux mode'. Not all cards support this tweakmode.
#                                                      The ones that do are not emulated yet by DOSBox-X. It is not known at this time whether S3 chipsets support the hack.
#                                                      On normal cards the tweakmode does nothing but halve the text mode resolution without any other effects.
#                                                      Possible values: true, false, 1, 0, auto.
#                            vga bios use rom image: If set, load a VGA BIOS from a ROM image file. If clear, provide our own INT 10h emulation as normal.
#                                vga bios rom image: If set, load the VGA BIOS from the specified file (must be 1KB to 64KB in size).
#                                                      If left unset, and DOSBox-X is asked to load a VGA BIOS from a file, a file name
#                                                      is chosen automatically from the machine type. For example, Tseng ET4000 emulation
#                                                      (machine=svga_et4000) will look for et4000.bin. VGA BIOS ROM images can be dumped
#                                                      from real hardware or downloaded from the PCem ROMs collection.
#                                                      
#                                                      machine=svga_s3            TRIO64 (Ver. 1.5-07) [VGA] (S3 Incorporated).bin
#                                                      machine=svga_et4000        et4000.bin
#                            vga bios size override: VGA BIOS size override. Override the size of the VGA BIOS (normally 32KB in compatible or 12KB in non-compatible).
# video bios dont duplicate cga first half rom font: If set, save 4KB of EGA/VGA ROM space by pointing to the copy in the ROM BIOS of the first 128 chars
#    video bios always offer 14-pixel high rom font: If set, video BIOS will always carry the 14-pixel ROM font. If clear, 14-pixel rom font will not be offered except for EGA/VGA emulation.
#    video bios always offer 16-pixel high rom font: If set, video BIOS will always carry the 16-pixel ROM font. If clear, 16-pixel rom font will not be offered except for VGA emulation.
#        video bios enable cga second half rom font: If set, and emulating CGA/PCjr/Tandy, automatically provide the second half of the 8x8 ROM font.
#                                                      This setting is ignored for EGA/VGA emulation. If not set, you will need a utility like GRAFTABL.COM to load the second half of the ROM font for graphics.
#                                                      NOTE: if you disable the 14 & 16 pixel high font AND the second half when machine=cga, you will disable video bios completely.
#                                         forcerate: Force the VGA framerate to a specific value(ntsc, pal, or specific hz), no matter what
#                                     sierra ramdac: Whether or not to emulate a Sierra or compatible RAMDAC at port 3C6h-3C9h.
#                                                      Some DOS games expect to access port 3C6h to enable highcolor/truecolor SVGA modes on older chipsets.
#                                                      Disable if you wish to emulate SVGA hardware that lacks a RAMDAC or (depending on the chipset) does
#                                                      not emulate a RAMDAC that is accessible through port 3C6h. This option has no effect for non-VGA video hardware.
#                            sierra ramdac lock 565: When emulating High Sierra highcolor RAMDAC, assume 5:6:5 at all times if set. Else,
#                                                      bit 6 of the DAC command selects between 5:5:5 and 5:6:5. Set this option for demos or
#                                                      games that got the command byte wrong (MFX Transgression 2) or any other demo that is
#                                                      not rendering highcolor 16bpp correctly.
#                            vga fill active memory: If set, DOSBox-X will fill inactive video memory regions with RAM rather than mapping them as empty. This allows the ETen Chinese DOS system (e.g. ET16V and ET24VA) to run.
#                              page flip debug line: VGA debugging switch. If set, an inverse line will be drawn on the exact scanline that the CRTC display offset registers were written.
#                                                      This can be used to help diagnose whether or not the DOS game is page flipping properly according to vertical retrace if the display on-screen is flickering.
#                  vertical retrace poll debug line: VGA debugging switch. If set, an inverse green dotted line will be drawn on the exact scanline that the CRTC status port (0x3DA) was read.
#                                                      This can be used to help diagnose whether the DOS game is properly waiting for vertical retrace.
#                                           cgasnow: When machine=cga, determines whether or not to emulate CGA snow in 80x25 text mode.
#                                                      This parameter is also changeable from the builtin CGASNOW command in CGA mode.
#                            vga 3da undefined bits: VGA status port 3BA/3DAh only defines bits 0 and 3. This setting allows you to assign a bit pattern to the undefined bits.
#                                                      The purpose of this hack is to deal with demos that read and handle port 3DAh in ways that might crash if all are zero.
#                             rom bios 8x8 CGA font: If set, or mainline DOSBox compatible BIOS mapping, a legacy 8x8 CGA font (first 128 characters) is stored at 0xF000:0xFA6E. DOS programs that do not use INT 10h to locate fonts might require that font to be located there.
#                    rom bios video parameter table: If set, or mainline DOSBox compatible BIOS mapping, DOSBox-X will emulate the video parameter table and assign that to INT 1Dh. If clear, table will not be provided.
#                        int 10h points at vga bios: If set, INT 10h points at the VGA BIOS. If clear, INT 10h points into the system BIOS. This option only affects EGA/VGA/SVGA emulation.
#                                                      This option is needed for some older DOS applications that make additional checks before detecting EGA/VGA hardware (SuperCalc).
#                    unmask timer on int 10 setmode: If set, INT 10h will unmask IRQ 0 (timer) when setting video modes.
#              vesa bank switching window mirroring: If set, bank switch (windowed) VESA BIOS modes will ignore the window selection when asked
#                                                      to bank switch. Requests to control either Window A or Window B will succeed. This is needed
#                                                      for some demoscene productions with SVGA support that assume Window B is available, without
#                                                      which graphics do not render properly.
#                                                      If clear, Window B is presented as not available and attempts to use it will fail. Only Window A
#                                                      will be available, which is also DOSBox SVN behavior.
#            vesa bank switching window range check: Controls whether calls to bank switch (set the window number) through the VESA BIOS apply
#                                                      range checking. If set, out of range window numbers will return with an error code. This
#                                                      is also DOSBox SVN behavior. If clear, out of range window numbers are silently truncated
#                                                      to a number within range of available video memory and allowed to succeed.
#                                                      This is needed for some demoscene productions that rely on the silent truncation to render
#                                                      correctly without which drawing errors occur (e.g. end credits of Pill by Opiate)
#               vesa zero buffer on get information: This setting affects VESA BIOS function INT 10h AX=4F00h. If set, the VESA BIOS will zero the
#                                                      256-byte buffer defined by the standard at ES:DI, then fill in the structure. If clear, only
#                                                      the structure members will be filled in, and memory outside the initial 20-32 bytes will remain
#                                                      unmodified. This setting is ON by default. Some very early 1990s DOS games that support VESA
#                                                      BIOS standards may need this setting turned OFF if the programmer did not provide enough space
#                                                      for the entire 256 byte structure and the game crashes if it detects VESA BIOS extensions.
#                                                      Needed for:
#                                                        GETSADAM.EXE
#                            vesa set display vsync: Whether to wait for vertical retrace if VESA Set Display Address is used to pan the display.
#                                                      The default value -1 will wait if vesa_oldvbe, or not otherwise. 0 means not to wait.
#                                                      1 means always to wait. This affects only subfunction 0x00. Subfunction 0x80 will always wait
#                                                      as specified in the VESA BIOS standard.
#                                                      It is recommended to set this to 1 for VBETEST.EXE so that the panning test and information does not
#                                                      go by too fast.
#                     vesa lfb base scanline adjust: If non-zero, the VESA BIOS will report the linear framebuffer offset by this many scanlines.
#                                                      This does not affect the linear framebuffer's location. It only affects the linear framebuffer
#                                                      location reported by the VESA BIOS. Set to nonzero for DOS games with sloppy VESA graphics pointer management.
#                                                          MFX "Melvindale" (1996): Set this option to 2 to center the picture properly.
#                      vesa lfb pel scanline adjust: If non-zero, the VESA BIOS will report the linear framebuffer offset by this many pixels.
#                                                      This does not affect the linear framebuffer's location. It only affects the linear framebuffer
#                                                      location reported by the VESA BIOS. Set to nonzero for DOS games with sloppy VESA graphics pointer management.
#                                                          Contract "Out of Control" (1997): Set this option to 128 to fix the display.
#            vesa map non-lfb modes to 128kb region: If set, VESA BIOS SVGA modes will be set to map 128KB of video memory to A0000-BFFFF instead of
#                                                      64KB at A0000-AFFFF. This does not affect the SVGA window size or granularity.
#                                                      Some games or demoscene productions assume that they can render into the next SVGA window/bank
#                                                      by writing to video memory beyond the current SVGA window address and will not appear correctly
#                                                      without this option.
#                             ega per scanline hpel: If set, EGA emulation allows changing hpel per scanline. This is reportedly the behavior
#                                                      of IBM EGA hardware according to DOSBox SVN and on by default. If clear, EGA emulation
#                                                      latches hpel on vertical retrace end (like VGA does), which may have been EGA clone behavior
#                                                      that some games were written against. Commander Keen episodes 4-6 need this option set to false when machine=ega.
#                                                      This option affects only EGA emulation. To change VGA hpel behavior, use the 'allow hpel effects' setting instead.
#                                allow hpel effects: If set, allow the DOS demo or program to change the horizontal pel (panning) register per scanline.
#                                                      Some early DOS demos use this to create waving or sinus effects on the picture. Not very many VGA
#                                                      chipsets allow this, so far, only ATI chipsets are known to support this effect. Disabled by default.
#                            allow hretrace effects: If set, allow the DOS demo or program to make the picture wavy by playing with the 'start horizontalretrace' register of the CRTC during the active picture. Some early DOS demos (Copper by Surprise!productions) need this option set for some demo effects to work. Disabled by default.
#                            hretrace effect weight: If emulating hretrace effects, this parameter adds 'weight' to the offset to smooth it out.
#                                                      the larger the number, the more averaging is applied. This is intended to emulate the inertia
#                                                      of the electron beam in a CRT monitor
#                                 vesa modelist cap: IF nonzero, the VESA modelist is capped so that it contains no more than the specified number of video modes.
#                         vesa modelist width limit: IF nonzero, VESA modes with horizontal resolution higher than the specified pixel count will not be listed.
#                                                      This is another way the modelist can be capped for DOS applications that have trouble with long modelists.
#                        vesa modelist height limit: IF nonzero, VESA modes with vertical resolution higher than the specified pixel count will not be listed.
#                                                      This is another way the modelist can be capped for DOS applications that have trouble with long modelists.
#         vesa vbe put modelist in vesa information: If set, the VESA modelist is placed in the VESA information structure itself when the DOS application
#                                                      queries information on the VESA BIOS. Setting this option may help with some games, though it limits
#                                                      the mode list reported to the DOS application.
#                      vesa vbe 1.2 modes are 32bpp: If set, truecolor (16M color) VESA BIOS modes in the 0x100-0x11F range are 32bpp. If clear, they are 24bpp.
#                                                      Some DOS games and demos assume one bit depth or the other and do not enumerate VESA BIOS modes, which is why this
#                                                      option exists. If set to auto, this is determined by the type of SVGA chipset emulated.
#                                                      Possible values: true, false, 1, 0, auto.
#                   allow low resolution vesa modes: If set, allow low resolution VESA modes (320x200x16/24/32bpp and so on). You could set this to false to simulate
#                                                      SVGA hardware with a BIOS that does not support the lowres modes for testing purposes.
#                   allow explicit 24bpp vesa modes: If set, additional 24bpp modes are listed in the modelist regardless whether modes 0x100-0x11F are
#                                                      configured to be 24bpp or 32bpp. Setting this option can provide the best testing and development
#                                                      environment for new retro DOS code. If clear, 24bpp will only be available in the 0x100-0x11F range
#                                                      if the "vesa vbe 1.2 modes are 32bpp" is false. Setting to false helps to emulate typical SVGA
#                                                      hardware in which either 24bpp is supported, or 32bpp is supported, but not both. Disabled by default.
#                  allow high definition vesa modes: If set, offer HD video modes in the VESA modelist (such as 1280x720 aka 720p or 1920x1080 aka 1080p).
#                                                      This option also offers 4:3 versions (960x720 and 1440x1080) for DOS games that cannot properly handle
#                                                      a 16:9 aspect ratio, and several other HD modes. The modes enabled by this option are still limited by the
#                                                      width and height limits and available video memory.
#                                                      This is unusual for VESA BIOSes to do and is disabled by default.
#                          allow unusual vesa modes: If set, unusual (uncommon) modes are added to the list. The modes reflect uncommon resolutions
#                                                      added by external drivers (UNIVBE), some VESA BIOSes, some laptop and netbook displays, and
#                                                      some added by DOSBox-X for additional fun. Disabled by default.
#                            allow 32bpp vesa modes: If the DOS game or demo has problems with 32bpp VESA modes, set to 'false'
#                            allow 24bpp vesa modes: If the DOS game or demo has problems with 24bpp VESA modes, set to 'false'
#                            allow 16bpp vesa modes: If the DOS game or demo has problems with 16bpp VESA modes, set to 'false'
#                            allow 15bpp vesa modes: If the DOS game or demo has problems with 15bpp VESA modes, set to 'false'
#                             allow 8bpp vesa modes: If the DOS game or demo has problems with 8bpp VESA modes, set to 'false'
#                             allow 4bpp vesa modes: If the DOS game or demo has problems with 4bpp VESA modes, set to 'false'.
#                                                      These modes have the same 16-color planar memory layout as standard VGA, but
#                                                      at SVGA resolution.
#                      allow 4bpp packed vesa modes: If the DOS game or demo has problems with 4bpp packed VESA modes, set to 'false'.
#                                                      4bpp (16-color) packed is an unusual novelty mode only seen on specific Chips & Tech 65550
#                                                      VESA BIOSes such as the one in a Toshiba Libretto laptop. Disabled by default.
#                              allow tty vesa modes: If the DOS game or demo has problems with text VESA modes, set to 'false'
#                      double-buffered line compare: This setting affects the VGA Line Compare register. Set to false (default value) to emulate most VGA behavior
#                                                      Set to true for the value to latch once at the start of the frame.
#                          ignore vblank wraparound: DOSBox-X can handle active display properly if games or demos reprogram vertical blanking to end in the active picture area.
#                                                      If the wraparound handling prevents the game from displaying properly, set this to false. Out of bounds vblank values will be ignored.
#                                                      
#                        ignore extended memory bit: Some DOS applications use VGA 256-color mode but accidentally clear the extended memory
#                                                      bit originally defined to indicate whether EGA hardware has more than 64KB of RAM.
#                                                      Setting this option can correct for that. Needed for Mr. Blobby.
#                           enable vga resize delay: If the DOS game you are running relies on certain VGA raster tricks that affect active display area, enable this option.
#                                                      This adds a delay between VGA mode changes and window updates. It also means that if you are capturing a demo or game,
#                                                      that your capture will also show a few garbled frames at any point mode changes occur, which is why this option is disabled
#                                                      by default. If you intend to run certain DOS games and demos like DoWhackaDo, enable this option.
#  resize only on vga active display width increase: If set, changes to the Display End register of the CRTC do not trigger DOSBox-X to resize its window
#                                                      IF the value written is less than the current value. Some demos like DoWhackaDo need this option set
#                                                      because of the way its raster effects work. If the DOSBox-X window rapidly changes size during a demo
#                                                      try setting this option. Else, leave it turned off. Changes to other VGA CRTC registers will trigger
#                                                      a DOSBox-X mode change as normal regardless of this setting.
#                   vga palette update on full load: If set, all three bytes of the palette entry must be loaded before taking the color,
#                                                      which is fairly typical SVGA behavior. If not set, partial changes are allowed.
#             ignore odd-even mode in non-cga modes: Some demoscene productions use VGA Mode X but accidentally enable odd/even mode.
#                                                      Setting this option can correct for that and render the demo properly.
#                                                      This option forces VGA emulation to ignore odd/even mode except in text and CGA modes.
#                         ignore sequencer blanking: If set, ignore attempts to blank the display using the EGA/VGA sequencer registers.
#                                                      This should not be set except for DOS games with bugs in their display handling code.
#                          memory io optimization 1: Enable one class of EGA/VGA memory I/O optimizations. Default ON (true).
#                                                      If graphical artifacts or errors occur, try turning this off first. May provide a performance benefit.
#                    skip render if nothing changed: If set, DOSBox-X will skip rendering entirely unless any change is made to the guest display.
#                                                      This may provide a performance benefit, especially in SVGA modes. This option has no effect unless render on demand is true or auto.
#                                                      Normally in DOSBox and DOSBox-X, video is rendered constantly, whether or not anything changed,
#                                                      and then compared with the previous frame to determine where to update the host display.
#                                                      In addition to the render on demand option, this option may further break timing dependent effects and/or cause problems with some games.
#                                                      Possible values: true, false, 1, 0, auto.
#                         scanline render on demand: Render video output at vsync or when something is changed mid frame, instead of stopping to render every scanline.
#                                                      This may provide a performance benefit to most DOS games. However this may also break timing-dependent game or Demoscene effects.
#                                                      Default is auto, which will turn it off for VGA modes and turn it on for SVGA modes.
#                                                      Possible values: true, false, 1, 0, auto.
int 10h use video parameter table                 = auto
vmemdelay                                         = 0
lfb vmemdelay                                     = false
prevent capture                                   = 
vmemsize                                          = -1
vmemsizekb                                        = 0
vbe window granularity                            = 0
vbe window size                                   = 0
enable 8-bit dac                                  = true
high intensity blinking                           = true
svga lfb base                                     = 0
pci vga                                           = true
vga attribute controller mapping                  = auto
enable supermegazeux tweakmode                    = 
vga bios use rom image                            = false
vga bios rom image                                = 
vga bios size override                            = 0
video bios dont duplicate cga first half rom font = false
video bios always offer 14-pixel high rom font    = false
video bios always offer 16-pixel high rom font    = false
video bios enable cga second half rom font        = true
forcerate                                         = 
sierra ramdac                                     = true
sierra ramdac lock 565                            = false
vga fill active memory                            = false
page flip debug line                              = false
vertical retrace poll debug line                  = false
cgasnow                                           = true
vga 3da undefined bits                            = 4
rom bios 8x8 CGA font                             = true
rom bios video parameter table                    = true
int 10h points at vga bios                        = true
unmask timer on int 10 setmode                    = false
vesa bank switching window mirroring              = false
vesa bank switching window range check            = true
vesa zero buffer on get information               = true
vesa set display vsync                            = -1
vesa lfb base scanline adjust                     = 0
vesa lfb pel scanline adjust                      = 0
vesa map non-lfb modes to 128kb region            = false
ega per scanline hpel                             = true
allow hpel effects                                = false
allow hretrace effects                            = false
hretrace effect weight                            = 4.00
vesa modelist cap                                 = 0
vesa modelist width limit                         = 1280
vesa modelist height limit                        = 1024
vesa vbe put modelist in vesa information         = false
vesa vbe 1.2 modes are 32bpp                      = auto
allow low resolution vesa modes                   = true
allow explicit 24bpp vesa modes                   = false
allow high definition vesa modes                  = false
allow unusual vesa modes                          = false
allow 32bpp vesa modes                            = true
allow 24bpp vesa modes                            = true
allow 16bpp vesa modes                            = true
allow 15bpp vesa modes                            = true
allow 8bpp vesa modes                             = true
allow 4bpp vesa modes                             = true
allow 4bpp packed vesa modes                      = false
allow tty vesa modes                              = true
double-buffered line compare                      = false
ignore vblank wraparound                          = false
ignore extended memory bit                        = false
enable vga resize delay                           = false
resize only on vga active display width increase  = false
vga palette update on full load                   = true
ignore odd-even mode in non-cga modes             = false
ignore sequencer blanking                         = false
memory io optimization 1                          = true
skip render if nothing changed                    = auto
scanline render on demand                         = auto

[vsync]
# vsyncmode: Synchronize vsync timing to the host display. Requires calibration within DOSBox-X.
#              Possible values: off, on, force, host.
# vsyncrate: Vsync rate used if vsync is enabled. Ignored if vsyncmode is set to host (win32).
#              Possible values:.
vsyncmode = off
vsyncrate = 75

[cpu]
#                                            core: CPU Core used in emulation. auto will switch to dynamic if available and appropriate.
#                                                    For the dynamic core, both dynamic_x86 and dynamic_rec are supported (dynamic_x86 is preferred).
#                                                    Windows 95 or other preemptive multitasking OSes will not work with the dynamic_rec core.
#                                                    Possible values: auto, dynamic, dynamic_x86, dynamic_nodhfpu, dynamic_rec, normal, full, simple.
#                                             fpu: Enable FPU emulation
#                                                    Possible values: true, false, 1, 0, auto, 8087, 287, 387.
#                                    cpuid string: If set, changes the string returned by the CPUID instruction. Normally by default the string is 'GenuineIntel'.
#                                                    CAUTION: Custom strings can interfere with guest code CPU detection
#                         processor serial number: For Pentium III emulation, this sets the 96-bit Processor Serial Number returned by CPUID.
#                                                    If not set, then emulation will act as if the PSN has been disabled by the BIOS.
#                                                    Enter as 4 sets of 16-bit hexadecimal digits XXXX-XXXX-XXXX-XXXX.
#                                                    Note that the processor info and feature bits form the topmost 32 bits of the PSN and cannot be changed.
#                                      rdtsc rate: If nonzero, the Pentium RDTSC counter will tick at this rate per millisecond instead of by the cycle count
#                                  segment limits: Enforce checks for segment limits on 80286 and higher CPU types.
#                                  lds wraparound: For LDS/LES instructions, in 16-bit code, check for 64KB wraparound case.
#                                    double fault: Emulate double fault exception
#              clear trap flag on unhandled int 1: If set, the DOS kernel INT 01h handler will clear the trap flag when called.
#                                                    Normally a DOS program using INT 01h and the trap flag (usually for debugging)
#                                                    will provide its own INT 01h handler. Some programs need this option set in
#                                                    order to not crash during startup due to possible bugs or anti debugger tricks
#                                                    that went terribly wrong.
#                           reset on triple fault: Reset CPU on triple fault condition (failure to handle double fault)
#                      always report double fault: Always report (to log file) double faults if set. Else, a double fault is reported only once. Set this option for debugging purposes.
#                      always report triple fault: Always report (to log file) triple faults if set. Else, a triple fault is reported only once. Set this option for debugging purposes.
# mask stack pointer for enter leave instructions: If set, ENTER will mask the stack pointer by 64KB if the stack segment is 16-bit, even if used in a 32-bit form.
#                                                    This is not how real Intel processors work, and is intended as a bug fix for certain games
#                                                    Possible values: true, false, 1, 0, auto.
#               allow lmsw to exit protected mode: Controls whether the processor will allow the guest to exit protected mode using the 286 LMSW instruction (clear the PE bit)
#                                                    Possible values: true, false, 1, 0, auto.
#                                 report fdiv bug: If set, the FDIV bug will be reported with the cputype=pentium setting.
#                                      enable msr: Allow RDMSR/WRMSR instructions. This option is only meaningful when cputype=pentium.
#                                                    WARNING: Leaving this option enabled while installing Windows 95/98/ME can cause crashes.
#                                      enable pse: Allow PSE (Page Size Extensions) to paging.
#                                                    none=Do not enable PSE
#                                                    auto=Controlled by cpu type
#                                                    pse=Basic PSE
#                                                    pse36=PSE with 36-bit addressing
#                                                    pse40=PSE with 40-bit addressing
#                                                    Possible values: auto, none, pse, pse36, pse40, true, false.
#                                enable cmpxchg8b: Enable Pentium CMPXCHG8B instruction. Enable this explicitly if using software that uses this instruction.
#                                                    You must enable this option to run Windows ME because portions of the kernel rely on this instruction.
#                                  enable syscall: Allow SYSENTER/SYSEXIT instructions. This option is only meaningful when is cputype=pentium_ii or higher.
#                                                    
#                            ignore undefined msr: Ignore RDMSR/WRMSR on undefined registers. Normally the CPU will fire an Invalid Opcode exception in that case.
#                                                    This option is off by default, enable if using software or drivers that assumes the presence of
#                                                    certain MSR registers without checking. If you are using certain versions of the 3dfx Glide drivers for MS-DOS
#                                                    you will need to set this to TRUE as 3dfx appears to have coded GLIDE2X.OVL to assume the presence
#                                                    of Pentium Pro/Pentium II MTRR registers.
#                                                    WARNING: Leaving this option enabled while installing Windows 95/98/ME can cause crashes.
#                     interruptible rep string op: If nonzero, REP string instructions (LODS/MOVS/STOS/INS/OUTS) are interruptible (by interrupts or other events).
#                                                    If zero, REP string instructions are carried out in full before processing events and interrupts.
#                                                    Set to -1 for a reasonable default setting based on cpu type and other configuration.
#                                                    A setting of 0 can improve emulation speed at the expense of emulation accuracy.
#                                                    A nonzero setting (1-8) may be needed for DOS games and demos that use the IRQ 0 interrupt to play digitized samples
#                                                    while doing VGA palette animation at the same time (use case of REP OUTS), where the non-interruptible version
#                                                    would cause an audible drop in audio pitch.
#                   dynamic core cache block size: The dynamic core cache block size (the default value is 32). Please change this value carefully.
#                                                    According to forum discussions, setting this to 1 can aid debugging, however doing so also causes
#                                                    problems with 32-bit protected mode DOS games and reduces the performance of the dynamic core.
#                                                    
#                                         cputype: CPU Type used in emulation. "auto" emulates a 486 which tolerates Pentium instructions.
#                                                    "experimental" enables newer instructions not normally found in the CPU types emulated by DOSBox-X, such as FISTTP.
#                                                    Possible values: auto, 8086, 8086_prefetch, 80186, 80186_prefetch, 286, 286_prefetch, 386, 386_prefetch, 486old, 486old_prefetch, 486, 486_prefetch, pentium, pentium_mmx, ppro_slow, pentium_ii, pentium_iii, experimental.
#                                          cycles: Number of instructions DOSBox-X tries to emulate each millisecond.
#                                                    Setting this value too high results in sound dropouts and lags.
#                                                    Cycles can be set in 3 ways:
#                                                      'auto'          tries to guess what a game needs.
#                                                                      It usually works, but can fail for certain games.
#                                                      'fixed #number' will set a fixed number of cycles. This is what you usually
#                                                                      need if 'auto' fails (Example: fixed 4000).
#                                                      'max'           will allocate as much cycles as your computer is able to
#                                                                      handle. Recommended if better performance is desired.
#                                                    Possible values: auto, fixed, max.
#                                         cycleup: Amount of cycles to decrease/increase with the mapped keyboard shortcut.
#                                       cycledown: Setting it lower than 100 will be a percentage.
#               cycle emulation percentage adjust: The percentage adjustment for use with the "Emulate CPU speed" feature. Default is 0 (no adjustment), but you can adjust it (between -25% and 25%) if necessary.
#                                           turbo: Enables Turbo (Fast Forward) mode to speed up operations.
#                               stop turbo on key: If set, the Turbo mode will be automatically stopped if a keyboard input is detected.
#                         stop turbo after second: If a positive integer is specified, the Turbo function will last for specific seconds.
#                 use dynamic core with paging on: Allow dynamic cores (dynamic_x86 and dynamic_rec) to be used with 386 paging enabled.
#                                                    If the dynamic_x86 core is set, this allows Windows 9x/ME to run properly, but may somewhat decrease the performance.
#                                                    If the dynamic_rec core is set, this disables the dynamic core if the 386 paging functions are currently enabled.
#                                                    If set to auto, this option will be enabled depending on if the 386 paging and a guest system are currently active.
#                                                    Possible values: true, false, 1, 0, auto.
#                                ignore opcode 63: When debugging, do not report illegal opcode 0x63.
#                                                    Enable this option to ignore spurious errors while debugging from within Windows 3.1/9x/ME.
#                                         apmbios: Emulate Advanced Power Management (APM) BIOS calls.
#                                     apmbios pnp: If emulating ISA PnP BIOS, announce APM BIOS in PnP enumeration.
#                                                    Warning: this can cause Windows 95 OSR2 and later to enumerate the APM BIOS twice and cause problems.
#                          apm power button event: When the power button event is triggered from the mapper or the menu, and the guest is using the APM BIOS, which APM BIOS event to send
#                                                    Possible values: suspend, standby.
#                                 apmbios version: What version of the APM BIOS specification to emulate.
#                                                    You will need at least APM BIOS v1.1 for emulation to work with Windows 95/98/ME.
#                                                    Possible values: auto, 1.0, 1.1, 1.2.
#                          apmbios allow realmode: Allow guest OS to connect from real mode.
#             apmbios allow 16-bit protected mode: Allow guest OS to connect from 16-bit protected mode.
#             apmbios allow 32-bit protected mode: Allow guest OS to connect from 32-bit protected mode.
#                                                    If you want power management in Windows 95/98/ME (beyond using the APM to shutdown the computer) you MUST enable this option.
#                                                    Windows 95/98/ME does not support the 16-bit real and protected mode APM BIOS entry points.
#                                                    Please note at this time that 32-bit APM is unstable under Windows ME.
#                              integration device: Enable DOSBox-X's integration I/O device, a way for additional software to talk to DOSBox-X. It is currently experimental.
#                                                    This can for example be used to return DOSBox-X's current status and by the guest OS to match the mouse pointer position.
#                          integration device pnp: List DOSBox-X integration I/O device as part of ISA PnP enumeration. This has no purpose yet.
#                                      isapnpbios: Emulate ISA Plug & Play BIOS. Enable if using DOSBox-X to run a PnP aware DOS program or if booting Windows 9x.
#                                                    Do not disable if Windows 9x is configured around PnP devices, you will likely confuse it.
#                                      isapnpport: Emulate ISA Plug & Play I/O ports, which are separate from the PnP BIOS.
#                                                    ISA Plug & Play devices provide these I/O ports as the means to determine hardware and configure resources.
#                                                    By default, this setting is 'auto' which enables the PnP I/O ports only if you enable the PnP BIOS.
#                                                    Possible values: true, false, 1, 0, auto.
#                                       realbig16: Allow the B (big) bit in real mode. If set, allow the DOS program to set the B bit,
#                                                    then jump to realmode with B still set (aka Huge Unreal mode). Needed for Project Angel.
core                                            = auto
fpu                                             = true
cpuid string                                    = 
processor serial number                         = 
rdtsc rate                                      = 0
segment limits                                  = true
lds wraparound                                  = true
double fault                                    = true
clear trap flag on unhandled int 1              = false
reset on triple fault                           = true
always report double fault                      = false
always report triple fault                      = false
mask stack pointer for enter leave instructions = auto
allow lmsw to exit protected mode               = auto
report fdiv bug                                 = false
enable msr                                      = true
enable pse                                      = auto
enable cmpxchg8b                                = true
enable syscall                                  = true
ignore undefined msr                            = false
interruptible rep string op                     = -1
dynamic core cache block size                   = 32
cputype                                         = auto
cycles                                          = auto
cycleup                                         = 10
cycledown                                       = 20
cycle emulation percentage adjust               = 0
turbo                                           = false
stop turbo on key                               = true
stop turbo after second                         = 0
use dynamic core with paging on                 = auto
ignore opcode 63                                = true
apmbios                                         = true
apmbios pnp                                     = false
apm power button event                          = suspend
apmbios version                                 = auto
apmbios allow realmode                          = true
apmbios allow 16-bit protected mode             = true
apmbios allow 32-bit protected mode             = true
integration device                              = false
integration device pnp                          = false
isapnpbios                                      = true
isapnpport                                      = auto
realbig16                                       = false

[keyboard]
#                     aux: Enable emulation of the 8042 auxiliary port. PS/2 mouse emulation requires this to be enabled.
#                            You should enable this if you will be running Windows ME or any other OS that does not use the BIOS to receive mouse events.
# allow output port reset: If set (default), allow the application to reset the CPU through the keyboard controller.
#                            This option is required to allow Windows ME to reboot properly, whereas Windows 9x and earlier
#                            will reboot without this option using INT 19h
#          controllertype: Type of keyboard controller (and keyboard) attached.
#                            auto     Automatically pick according to machine type
#                            at       AT (PS/2) type keyboard
#                            xt       IBM PC/XT type keyboard
#                            pcjr     IBM PCjr type keyboard (only if machine=pcjr)
#                            pc98     PC-98 keyboard emulation (only if machine=pc98)
#                            Possible values: auto, at, xt, pcjr, pc98.
#               auxdevice: Type of PS/2 mouse attached to the AUX port
#                            Possible values: none, 2button, 3button, intellimouse, intellimouse45.
aux                     = true
allow output port reset = true
controllertype          = auto
auxdevice               = intellimouse

[ttf]
#          font: Specifies a TrueType font to use for the TTF output. If not specified, the built-in TrueType font will be used.
#                  Either a font name or full font path can be specified. If file ends with the .TTF extension then the extension can be omitted.
#                  For a font name or relative path, directories such as the working directory and default system font directory will be searched.
#                  For example, setting it to "consola" or "consola.ttf" will use Consola font (included in Windows); similar for other TTF fonts.
#                  Additionally, OTF fonts (e.g. OratorStd.otf), .FON fonts (e.g. vgasys.fon), and .TTC fonts (e.g. msgothic.ttc) are also supported.
#                  To display Chinese/Japanese/Korean text in these code pages, a font with CJK characters is needed (e.g. GNU Unifont or Sarasa Gothic).
#      fontbold: You can optionally specify a bold TrueType font for use with the TTF output that will render the bold text style.
#                  It requires a word processor be set with the wp option, and this actual bold font will be used for the bold style.
#                  For example, setting it to "consolab" or "consolab.ttf" will use the Consolab font; similar for other TTF fonts.
#      fontital: You can optionally specify an italic TrueType font for use with the TTF output that will render the italic text style.
#                  It requires a word processor be set with the wp option, and this actual italic font will be used for the italic style.
#                  For example, setting it to "consolai" or "consolai.ttf" will use the Consolai font; similar for other TTF fonts.
#      fontboit: You can optionally specify a bold italic TrueType font for use with the TTF output that will render the bold italic text style.
#                  It requires a word processor be set with the wp option, and this actual bold-italic font will be used for the bold-italic style.
#                  For example, setting it to "consolaz" or "consolaz.ttf" will use the Consolaz font; similar for other TTF fonts.
#        colors: Specifies a color scheme to use for the TTF output by supply all 16 color values in RGB: (r,g,b) or hexadecimal as in HTML: #RRGGBB
#                  The original DOS colors (0-15): #000000 #0000aa #00aa00 #00aaaa #aa0000 #aa00aa #aa5500 #aaaaaa #555555 #5555ff #55ff55 #55ffff #ff5555 #ff55ff #ffff55 #ffffff
#                  gray scaled color scheme: (0,0,0)  #0e0e0e  (75,75,75) (89,89,89) (38,38,38) (52,52,52) #717171 #c0c0c0 #808080 (28,28,28) (150,150,150) (178,178,178) (76,76,76) (104,104,104) (226,226,226) (255,255,255)
#                  An optional leading "+" sign allows the preset color scheme to be used when switching from another output.
#  outputswitch: Specifies the output that DOSBox-X should switch to from the TTF output when a graphical mode is requested, or auto for automatic selection.
#                  Possible values: auto, surface, opengl, openglnb, openglhq, openglpp, direct3d.
#       winperc: Specifies the window percentage for the TTF output (100 = full screen). Ignored if the ptsize setting is specified.
#        ptsize: Specifies the font point size for the TTF output. If specified (minimum: 9), it will override the winperc setting.
#          lins: Specifies the number of rows on the screen for the TTF output (0 = default).
#          cols: Specifies the number of columns on the screen for the TTF output (0 = default).
#   righttoleft: If set, DOSBox-X will display text from right to left instead of left to right on the screen for the TTF output.
#                  This is especially useful for languages which use right-to-left scripts (such as Arabic and Hebrew).
#            wp: You can specify a word processor for the TTF output and optionally also a version number for the word processor.
#                  Supported word processors are WP=WordPerfect, WS=WordStar, XY=XyWrite, FE=FastEdit, and an optional version number.
#                  For example, WP6 will set the word processor as WordPerfect 6, and XY4 will set the word processor as XyWrite 4.
#                  Word processor-specific features like on-screen text styles and 512-character font will be enabled based on this.
#          wpbg: You can optionally specify a color to match the background color of the specified word processor for the TTF output.
#                  Use the DOS color number (0-15: 0=Black, 1=Blue, 2=Green, 3=Cyan, 4=Red, 5=Magenta, 6=Yellow, 7=White, etc) for this.
#          wpfg: You can optionally specify a color to match the foreground color of the specified word processor for the TTF output.
#                  Use the DOS color number (0-7: 0=Black, 1=Blue, 2=Green, 3=Cyan, 4=Red, 5=Magenta, 6=Yellow, 7=White) for this.
#          bold: If set, DOSBox-X will display bold text in visually (requires a word processor be set) for the TTF output.
#                  This is done either with the actual bold font specified by the fontbold option, or by making it bold automatically.
#        italic: If set, DOSBox-X will display italicized text visually (requires a word processor be set) for the TTF output.
#                  This is done either with the actual italic font specified by the fontital option, or by slanting the characters automatically.
#     underline: If set, DOSBox-X will display underlined text visually (requires a word processor be set) for the TTF output.
#     strikeout: If set, DOSBox-X will display strikeout text visually (requires a word processor be set) for the TTF output.
#       char512: If set, DOSBox-X will display the 512-character font if possible (requires a word processor be set) for the TTF output.
#     printfont: If set, DOSBox-X will force to use the current TrueType font (set via font option) for printing in addition to displaying.
#      autodbcs: If set, DOSBox-X enables Chinese/Japanese/Korean DBCS (double-byte) characters when these code pages are active by default.
#                  Only applicable when using a DBCS code page (932: Japanese, 936: Simplified Chinese; 949: Korean; 950: Traditional Chinese)
#                  This applies to both the display and printing of these characters (see the [printer] section for details of the latter).
#   autoboxdraw: If set, DOSBox-X will auto-detect ASCII box-drawing characters for CJK (Chinese/Japanese/Korean) support in the TTF output.
#                  Only applicable when using a DBCS code page (932: Japanese, 936: Simplified Chinese; 949: Korean; 950: Traditional Chinese)
#                  This applies to both the display and printing of these characters (see the [printer] section for details of the latter).
# halfwidthkana: If set, DOSBox-X enables half-width Katakana to replace upper ASCII characters for the Japanese code page (932) of a non-PC98 machine type in the TTF output.
#        blinkc: If set to true, the cursor blinks for the TTF output; setting it to false will turn the blinking off.
#                  You can also change the blinking rate by setting an integer between 1 (fastest) and 7 (slowest), or 0 for no cursor.
#           gbk: Enables the GBK extension (in addition to the standard GB2312 charset) for the Simplified Chinese TTF output or DOS/V emulation.
#      chinasea: Enables the ChinaSea and Big5-2003 extension (in addition to the standard Big5-1984 charset) for the Traditional Chinese TTF output.
#                  A TTF/OTF font containing such characters (such as the included SarasaGothicFixed TTF font) is needed to correctly render ChinaSea characters.
#           uao: Enables the Big5 Unicode-At-On (UAO) extension instead of the Big5 HKSCS extension for the hidden code page 951 of the Traditional Chinese TTF output.
#      dosvfunc: If set, enables FEP control to function for Japanese DOS/V applications, and changes the blinking of character attributes to high brightness.
font          = 
fontbold      = 
fontital      = 
fontboit      = 
colors        = 
outputswitch  = auto
winperc       = 60
ptsize        = 0
lins          = 0
cols          = 0
righttoleft   = false
wp            = 
wpbg          = -1
wpfg          = 7
bold          = true
italic        = true
underline     = true
strikeout     = false
char512       = true
printfont     = true
autodbcs      = true
autoboxdraw   = true
halfwidthkana = true
blinkc        = true
gbk           = false
chinasea      = false
uao           = false
dosvfunc      = false

[voodoo]
#   voodoo_card: Enable support for the 3dfx Voodoo card.
#                  Possible values: false, software, opengl, auto.
# voodoo_maxmem: Specify whether to enable maximum memory size for the Voodoo card.
#                  If set (on by default), the memory size will be 12MB (4MB front buffer + 2x4MB texture units)
#                  Otherwise, the memory size will be the standard 4MB (2MB front buffer + 1x2MB texture unit)
#         glide: Enable Glide emulation (Glide API passthrough to the host).
#                  Requires a Glide wrapper - glide2x.dll (Windows), libglide2x.so (Linux), or libglide2x.dylib (macOS).
#           lfb: Enable LFB access for Glide. OpenGlide does not support locking aux buffer, please use _noaux modes.
#                  Possible values: full, full_noaux, read, read_noaux, write, write_noaux, none.
#        splash: Show 3dfx splash screen for Glide emulation (Windows; requires 3dfxSpl2.dll).
voodoo_card   = auto
voodoo_maxmem = true
glide         = false
lfb           = full_noaux
splash        = true

[mixer]
#         nosound: Enable silent mode, sound is still emulated though.
# sample accurate: Enable sample accurate mixing, at the expense of some emulation performance. Enable this option for DOS games and demos
#                    that require such accuracy for correct Tandy/OPL output including digitized speech. This option can also help eliminate
#                    minor errors in Gravis Ultrasound emulation that result in random echo/attenuation effects.
#      swapstereo: Swaps the left and right stereo channels.
#            rate: Mixer sample rate, setting any device's rate higher than this will probably lower their sound quality.
#       blocksize: Mixer block size, larger blocks might help sound stuttering but sound will also be more lagged.
#                    Possible values: 1024, 2048, 4096, 8192, 512, 256.
#       prebuffer: How many milliseconds of data to keep on top of the blocksize.
nosound         = false
sample accurate = false
swapstereo      = false
rate            = 48000
blocksize       = 1024
prebuffer       = 25

[midi]
#         roland gs sysex: Listen for and handle some Roland GS System Exclusive messages, such as GS Reset and Master Volume.
#                            This is needed for PC-98 games that have hanging/stuck MIDI note problems because they rely on these
#                            messages to reset the synth rather than using standard MIDI commands.
#                  mpu401: Type of MPU-401 to emulate.
#                            Possible values: intelligent, uart, none.
#                 mpubase: The IO address of the MPU-401.
#                            Set to 0 to use a default I/O address.
#                            300h to 330h are for use with IBM PC mode.
#                            C0D0h to F8D0h (in steps of 800h) are for use with NEC PC-98 mode (MPU98).
#                            80D2h through 80DEh are for use with NEC PC-98 Sound Blaster 16 MPU-401 emulation.
#                            If not assigned (0), 330h is the default for IBM PC and E0D0h is the default for PC-98.
#                            Possible values: 0, 300, 310, 320, 330, 332, 334, 336, 340, 360, c0d0, c8d0, d0d0, d8d0, e0d0, e8d0, f0d0, f8d0, 80d2, 80d4, 80d6, 80d8, 80da, 80dc, 80de.
#              mididevice: Device that will receive the MIDI data from MPU-401.
#                            Possible values: default, win32, alsa, oss, coreaudio, coremidi, mt32, synth, fluidsynth, timidity, none.
#              midiconfig: Special configuration options for the device driver. This is usually the id or part of the name of the device you want to use
#                            (find the id/name with mixer/listmidi).
#                            Or in the case of coreaudio or synth, you can specify a soundfont here.
#                            When using a Roland MT-32 rev. 0 as midi output device, some games may require a delay in order to prevent 'buffer overflow' issues.
#                            In that case, add 'delaysysex', for example: midiconfig=2 delaysysex
#                            See the README/Manual for more details.
#              samplerate: Sample rate for MIDI synthesizer, if applicable.
#                            Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#                  mpuirq: MPU-401 IRQ. -1 to automatically choose.
#             mt32.romdir: Name of the directory where MT-32 Control and PCM ROM files can be found. Emulation requires these files to work.
#                              Accepted file names are as follows:
#                                MT32_CONTROL.ROM or CM32L_CONTROL.ROM - control ROM file.
#                                MT32_PCM.ROM or CM32L_PCM.ROM - PCM ROM file.
#              mt32.model: Model of the MT-32 synthesizer to use.
#                            Possible values: cm32l, mt32, auto.
#     mt32.reverse.stereo: Reverse stereo channels for MT-32 output
#            mt32.verbose: MT-32 debug logging
#             mt32.thread: MT-32 rendering in separate thread
#              mt32.chunk: Minimum milliseconds of data to render at once. (min 2, max 100)
#                            Increasing this value reduces rendering overhead which may improve performance but also increases audio lag.
#                            Valid for rendering in separate thread only.
#                            Possible values: 2, 3, 16, 99, 100.
#          mt32.prebuffer: How many milliseconds of data to render ahead. (min 3, max 200)
#                            Increasing this value may help to avoid underruns but also increases audio lag.
#                            Cannot be set less than or equal to mt32.chunk value.
#                            Valid for rendering in separate thread only.
#                            Possible values: 3, 4, 32, 199, 200.
#           mt32.partials: The maximum number of partials playing simultaneously. (min 8, max 256)
#                            Possible values: 8, 9, 32, 255, 256.
#                mt32.dac: MT-32 DAC input emulation mode
#                            Nice = 0 - default
#                            Produces samples at double the volume, without tricks.
#                            Higher quality than the real devices
#                            
#                            Pure = 1
#                            Produces samples that exactly match the bits output from the emulated LA32.
#                            Nicer overdrive characteristics than the DAC hacks (it simply clips samples within range)
#                            Much less likely to overdrive than any other mode.
#                            Half the volume of any of the other modes, meaning its volume relative to the reverb
#                            output when mixed together directly will sound wrong. So, reverb level must be lowered.
#                            Perfect for developers while debugging :)
#                            
#                            GENERATION1 = 2
#                            Re-orders the LA32 output bits as in early generation MT-32s (according to Wikipedia).
#                            Bit order at DAC (where each number represents the original LA32 output bit number, and XX means the bit is always low):
#                            15 13 12 11 10 09 08 07 06 05 04 03 02 01 00 XX
#                            
#                            GENERATION2 = 3
#                            Re-orders the LA32 output bits as in later generations (personally confirmed on my CM-32L - KG).
#                            Bit order at DAC (where each number represents the original LA32 output bit number):
#                            15 13 12 11 10 09 08 07 06 05 04 03 02 01 00 14
#                            Possible values: 0, 1, 2, 3.
#             mt32.analog: MT-32 analogue output emulation mode
#                            Digital = 0
#                            Only digital path is emulated. The output samples correspond to the digital output signal appeared at the DAC entrance.
#                            Fastest mode.
#                            
#                            Coarse = 1
#                            Coarse emulation of LPF circuit. High frequencies are boosted, sample rate remains unchanged.
#                            A bit better sounding but also a bit slower.
#                            
#                            Accurate = 2 - default
#                            Finer emulation of LPF circuit. Output signal is upsampled to 48 kHz to allow emulation of audible mirror spectra above 16 kHz,
#                            which is passed through the LPF circuit without significant attenuation.
#                            Sounding is closer to the analog output from real hardware but also slower than the modes 0 and 1.
#                            
#                            Oversampled = 3
#                            Same as the default mode 2 but the output signal is 2x oversampled, i.e. the output sample rate is 96 kHz.
#                            Even slower than all the other modes but better retains highest frequencies while further resampled in DOSBox-X mixer.
#                            Possible values: 0, 1, 2, 3.
#        mt32.output.gain: Output gain of MT-32 emulation in percent, 100 is the default value, the allowed maximum is 1000.
#        mt32.reverb.mode: MT-32 reverb mode
#                            Possible values: 0, 1, 2, 3, auto.
# mt32.reverb.output.gain: Reverb output gain of MT-32 emulation in percent, 100 is the default value, the allowed maximum is 1000.
#        mt32.reverb.time: MT-32 reverb decaying time
#                            Possible values: 0, 1, 2, 3, 4, 5, 6, 7.
#       mt32.reverb.level: MT-32 reverb level
#                            Possible values: 0, 1, 2, 3, 4, 5, 6, 7.
#               mt32.rate: Sample rate of MT-32 emulation.
#                            Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#        mt32.src.quality: MT-32 sample rate conversion quality
#                            Value '0' is for the fastest conversion, value '3' provides for the best conversion quality. Default is 2.
#                            Possible values: 0, 1, 2, 3.
#        mt32.niceampramp: Toggles "Nice Amp Ramp" mode that improves amplitude ramp for sustaining instruments.
#                            Quick changes of volume or expression on a MIDI channel may result in amp jumps on real hardware.
#                            When "Nice Amp Ramp" mode is enabled (default), amp changes gradually instead.
#                            Otherwise, the emulation accuracy is preserved.
#    mt32.engage.channel1: Use alternative channel assignment on synth start.
#                            By default, MT-32 compatible devices only react on MIDI messages that come on MIDI channels 2-10 ignoring messages
#                            on MIDI channel 1. However, some tunes involve MIDI channel 1 yet do not initialise the device accordingly.
#                            In such cases, one might fix this by pressing a magic button combination on MT-32 front panel.
#                            Enabling this property has the same effect: the device starts recognising messages on MIDI channels 1-8 and 10 instead.
#                            Default is false.
#            fluid.driver: Driver to use with Fluidsynth, not needed under Windows. Available drivers depend on what Fluidsynth was compiled with.
#                            Possible values: pulseaudio, alsa, oss, coreaudio, dsound, portaudio, sndman, jack, file, default.
#         fluid.soundfont: Soundfont (.SF2 or .SF3) to use with Fluidsynth. One must be specified (e.g. GeneralUser_GS.sf2).
#        fluid.samplerate: Sample rate to use with Fluidsynth.
#              fluid.gain: Fluidsynth gain.
#         fluid.polyphony: Fluidsynth polyphony.
#             fluid.cores: Fluidsynth CPU cores to use, or default.
#           fluid.periods: Fluidsynth periods, or default.
#        fluid.periodsize: Fluidsynth period size, or default.
#            fluid.reverb: Fluidsynth use reverb.
#                            Possible values: no, yes.
#            fluid.chorus: Fluidsynth use chorus.
#                            Possible values: no, yes.
#   fluid.reverb.roomsize: Fluidsynth reverb room size.
#    fluid.reverb.damping: Fluidsynth reverb damping.
#      fluid.reverb.width: Fluidsynth reverb width.
#      fluid.reverb.level: Fluidsynth reverb level.
#     fluid.chorus.number: Fluidsynth chorus voices
#      fluid.chorus.level: Fluidsynth chorus level.
#      fluid.chorus.speed: Fluidsynth chorus speed.
#      fluid.chorus.depth: Fluidsynth chorus depth.
#       fluid.chorus.type: Fluidsynth chorus type. 0 is sine wave, 1 is triangle wave.
#                            Possible values: 0, 1.
roland gs sysex         = true
mpu401                  = intelligent
mpubase                 = 0
mididevice              = default
midiconfig              = 
samplerate              = 48000
mpuirq                  = -1
mt32.romdir             = 
mt32.model              = auto
mt32.reverse.stereo     = false
mt32.verbose            = false
mt32.thread             = false
mt32.chunk              = 16
mt32.prebuffer          = 32
mt32.partials           = 32
mt32.dac                = 0
mt32.analog             = 2
mt32.output.gain        = 100
mt32.reverb.mode        = auto
mt32.reverb.output.gain = 100
mt32.reverb.time        = 5
mt32.reverb.level       = 3
mt32.rate               = 48000
mt32.src.quality        = 2
mt32.niceampramp        = true
mt32.engage.channel1    = false
fluid.driver            = default
fluid.soundfont         = 
fluid.samplerate        = 48000
fluid.gain              = .2
fluid.polyphony         = 256
fluid.cores             = default
fluid.periods           = default
fluid.periodsize        = default
fluid.reverb            = yes
fluid.chorus            = yes
fluid.reverb.roomsize   = .61
fluid.reverb.damping    = .23
fluid.reverb.width      = .76
fluid.reverb.level      = .57
fluid.chorus.number     = 3
fluid.chorus.level      = 1.2
fluid.chorus.speed      = .3
fluid.chorus.depth      = 8.0
fluid.chorus.type       = 0

[sblaster]
#                                           sbtype: Type of Sound Blaster to emulate. 'gb' is Game Blaster.
#                                                     Possible values: sb1, sb1.0, sb1.5, sb2, sb2.0, sb2.01, sbpro1, sbpro2, sb16, sb16vibra, gb, ess688, ess1688, reveal_sc400, none.
#                                           sbbase: The IO address of the Sound Blaster.
#                                                     220h to 2E0h are for use with IBM PC Sound Blaster emulation.
#                                                     D2h to DEh are for use with NEC PC-98 Sound Blaster 16 emulation.
#                                                     Possible values: 220, 240, 260, 280, 2a0, 2c0, 2e0, d2, d4, d6, d8, da, dc, de.
#                                              irq: The IRQ number of the Sound Blaster (usually 5 or 7, depending on the sound card type and the game).
#                                                     Set to 0 for the default setting of the sound card, or set to -1 to start DOSBox-X with the IRQ unassigned.
#                                                     Possible values: 7, 5, 3, 9, 10, 11, 12, 0, -1.
#                                           mindma: Minimum DMA transfer left to increase attention across DSP blocks, in milliseconds. Set to -1 for default.
#                                                     There are some DOS games/demos that use single-cycle DSP playback in their music tracker and they micromanage
#                                                     the DMA transfer per block poorly in a way that causes popping and artifacts. Setting this option to 0 for
#                                                     such DOS applications may reduce audible popping and artifacts.
#                       listen to recording source: When the guest records audio from the Sound Blaster card, send the input source to the speakers as well so it can be heard.
#                                 recording source: Audio source to use when guest is recording audio. At this time only generated audio sources are available.
#                                                     Possible values: silence, hiss, 1khz tone.
#                                         irq hack: Specify a hack related to the Sound Blaster IRQ to avoid crashes in a handful of games and demos.
#                                                         none                   Emulate IRQs normally
#                                                         cs_equ_ds              Do not fire IRQ unless two CPU segment registers match: CS == DS. Read DOSBox-X Wiki or source code for details.
#                                              dma: The DMA number of the Sound Blaster. Set to -1 to start DOSBox-X with the DMA unassigned.
#                                                     Possible values: 1, 5, 0, 3, 6, 7, -1.
#                                             hdma: The High DMA number of the Sound Blaster. Set to -1 to start DOSBox-X with the High DMA unassigned.
#                                                     Possible values: 1, 5, 0, 3, 6, 7, -1.
#                              dsp command aliases: If set (on by default), emulation will support known undocumented aliases
#                                                     of common Sound Blaster DSP commands. Some broken DOS games and demos rely on these aliases.
#                                                     For more information: https://www.vogons.org/viewtopic.php?f=62&t=61098&start=280
#                                   pic unmask irq: Start the DOS virtual machine with the Sound Blaster IRQ already unmasked at the PIC.
#                                                     Some early DOS games/demos that support Sound Blaster expect the IRQ to fire but make
#                                                     no attempt to unmask the IRQ. If audio cuts out no matter what IRQ you try, then try
#                                                     setting this option.
#                                                     Option is needed for:
#                                                        Public NMI "jump" demo (1992)
#                                   enable speaker: Start the DOS virtual machine with the Sound Blaster speaker enabled.
#                                                     Sound Blaster Pro and older cards have a speaker disable/enable command.
#                                                     Normally the card boots up with the speaker disabled. If a DOS game or demo
#                                                     attempts to play without enabling the speaker, set this option to true to
#                                                     compensate. This setting has no meaning if emulating a Sound Blaster 16 card.
#                                       enable asp: If set, emulate the presence of the Sound Blaster 16 Advanced Sound Processor/Creative Sound Processor chip.
#                                                     NOTE: This only emulates its presence and the basic DSP commands to communicate with it. Actual ASP/CSP functions are not yet implemented.
#                                disable filtering: By default DOSBox-X filters Sound Blaster output to emulate lowpass filters and analog output limitations.
#                                                     Set this option to true to disable filtering. Note that doing so disables emulation of the Sound Blaster Pro
#                                                     output filter and ESS AudioDrive lowpass filter.
# dsp write buffer status must return 0x7f or 0xff: If set, force port 22Ch (DSP write buffer status) to return 0x7F or 0xFF. If not set, the port
#                                                     may return 0x7F or 0xFF depending on what type of Sound Blaster is being emulated.
#                                                     Set this option for some early DOS demos that make that assumption about port 22Ch.
#                                                     Option is needed for:
#                                                        Overload by Hysteria (1992) - Audio will crackle/saturate (8-bit overflow) except when sbtype=sb16
#                             pre-set sbpro stereo: Start the DOS virtual machine with the Sound Blaster Pro stereo bit set (in the mixer).
#                                                     A few demos support Sound Blaster Pro but forget to set this bit.
#                                                     Option is needed for:
#                                                        Inconexia by Iguana (1993)
#                                          sbmixer: Allow the Sound Blaster mixer to modify the DOSBox-X mixer.
#                                              cms: Enable CMS emulation ('auto' by default).
#                                                       off:   Disable CMS emulation (except when the Game Blaster is selected).
#                                                       on:    Enable CMS emulation on Sound Blaster 1 and 2.
#                                                       auto:  Auto-enable CMS emulation for Sound Blaster 1 and Game Blaster.
#                                                     Possible values: on, off, auto.
#                                          oplmode: Type of OPL emulation. On 'auto' the mode is determined by the 'sbtype' setting.
#                                                     All OPL modes are AdLib-compatible.
#                                                     Possible values: auto, opl2, dualopl2, opl3, opl3gold, none, hardware, hardwaregb, esfm.
#             adlib force timer overflow on detect: If set, Adlib/OPL emulation will signal 'overflow' on timers after 50 I/O reads.
#                                                     This is a temporary hack to work around timing bugs noted in DOSBox-X. Certain
#                                                     games (Wolfenstein 3D) poll the Adlib status port a fixed number of times assuming
#                                                     that the poll loop takes long enough for the Adlib timer to run out. If the game
#                                                     cannot reliably detect Adlib at higher cycles counts, but can reliably detect at
#                                                     lower cycles counts, set this option.
#                                           oplemu: Provider for the OPL emulation. 'compat' might provide better quality.
#                                                     'nuked' is the most accurate (but the most CPU-intensive). See oplrate as well.
#                                                     Possible values: default, compat, fast, nuked, mame, opl2board, opl3duoboard, retrowave_opl3, esfmu.
#                                          oplrate: Sample rate of OPL music emulation. Use 49716 for highest quality (set the mixer rate accordingly).
#                                                     Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#                                          oplport: Serial port of the OPL2 Audio Board when oplemu=opl2board, opl2mode will become 'opl2' automatically.
#                                    retrowave_bus: Bus of the Retrowave series board (serial/spi). SPI is only supported on Linux.
#                                 retrowave_spi_cs: SPI chip select pin of the Retrowave series board. Only supported on Linux.
#                                   retrowave_port: Serial port of the Retrowave series board.
#                                     hardwarebase: base address of the real hardware Sound Blaster:
#                                                     210,220,230,240,250,260,280
#                              force dsp auto-init: Treat all single-cycle DSP commands as auto-init to keep playback going.
#                                                     This option is a workaround for DOS games or demos that use single-cycle DSP playback commands and
#                                                     have problems with missing the Sound Blaster IRQ under load. Do not enable unless you need this workaround.
#                                                     Needed for:
#                                                       - Extreme "lunatic" demo (1993)
#                                   force goldplay: Always render Sound Blaster output sample-at-a-time. Testing option. You probably don't want to enable this.
#                                         goldplay: Enable goldplay emulation.
#                                  goldplay stereo: Enable workaround for goldplay stereo playback. Many DOS demos using this technique
#                                                     don't seem to know they need to double the frequency when programming the DSP time constant for Pro stereo output.
#                                                     If stereo playback seems to have artifacts consider enabling this option. For accurate emulation of Sound Blaster
#                                                     hardware, disable this option.
#                dsp require interrupt acknowledge: If set, the DSP will halt DMA playback until IRQ acknowledgement occurs even in auto-init mode (SB16 behavior).
#                                                     If clear, IRQ acknowledgement will have no effect on auto-init playback (SB Pro and earlier & clone behavior)
#                                                     If set to 'auto' then behavior is determined by sbtype= setting.
#                                                     This is a setting for hardware accuracy in emulation. If audio briefly plays then stops then your DOS game
#                                                     and it's not using IRQ (but using DMA), try setting this option to 'false'
#                             dsp write busy delay: Amount of time in nanoseconds the DSP chip signals 'busy' after writing to the DSP (port 2xCh). Set to -1 to use card-specific defaults.
#                                                     WARNING: Setting the value too high (above 20000ns) may have detrimental effects to DOS games that use IRQ 0 and DSP command 0x10 to play audio.
#                                                              Setting the value way too high (above 1000000ns) can cause significant lag in DOS games.
#                     blaster environment variable: Whether or not to set the BLASTER environment variable automatically at startup
#                               sample rate limits: If set (default), limit DSP sample rate to what real hardware is limited to
#                               instant direct dac: If set, direct DAC output commands are instantaneous. This option is intended as a quick fix for
#                                                     games or demos that play direct DAC music/sound from the IRQ 0 timer who a) write the DSP command
#                                                     and data without polling the DSP to ensure it's ready or b) can get locked into the IRQ 0 handler
#                                                     waiting for DSP status when instructed to play at or beyond the DSP's maximum direct DAC sample rate.
#                                                     This fix allows broken Sound Blaster code to work and should not be enabled unless necessary.
#                   stereo control with sbpro only: Default on. If set, Sound Blaster Pro stereo is not available when emulating sb16 or sb16vibra.
#                                                     If clear, sb16 emulation will honor the sbpro stereo bit. Note that Creative SB16 cards do not
#                                                     honor the stereo bit, and this option allows DOSBox-X emulate that fact. Accuracy setting.
#                              dsp busy cycle rate: Sound Blaster 16 DSP chips appear to go busy periodically at some high clock rate
#                                                     whether the DSP is actually doing anything for the system or not. This is an accuracy
#                                                     option for Sound Blaster emulation. If this option is nonzero, it will be interpreted
#                                                     as the busy cycle rate in Hz. If zero, busy cycle will not be emulated. If -1, sound
#                                                     blaster emulation will automatically choose a setting based on the sbtype= setting
#                            dsp busy cycle always: If set, the DSP busy cycle always happens. If clear, DSP busy cycle only happens when
#                                                     audio playback is running. Default setting is to pick according to the sound card.
#                              dsp busy cycle duty: If emulating SB16 busy cycle, this value (0 to 100) controls the duty cycle of the busy cycle.
#                                                     If this option is set to -1, Sound Blaster emulation will choose a value automatically according
#                                                     to sbtype=. If 0, busy cycle emulation is disabled.
#                                 io port aliasing: If set, Sound Blaster ports alias by not decoding the LSB of the I/O port.
#                                                     This option only applies when sbtype is set to sb1 or sb2 (not SBPro or SB16).
#                                                     This is a hack for the Electromotive Force 'Internal Damage' demo which apparently
#                                                     relies on this behavior for Sound Blaster output and should be enabled for accuracy in emulation.
sbtype                                           = sb16
sbbase                                           = 220
irq                                              = 7
mindma                                           = -1
listen to recording source                       = false
recording source                                 = silence
irq hack                                         = none
dma                                              = 1
hdma                                             = 5
dsp command aliases                              = true
pic unmask irq                                   = false
enable speaker                                   = false
enable asp                                       = false
disable filtering                                = false
dsp write buffer status must return 0x7f or 0xff = false
pre-set sbpro stereo                             = false
sbmixer                                          = true
cms                                              = auto
oplmode                                          = auto
adlib force timer overflow on detect             = false
oplemu                                           = default
oplrate                                          = 48000
oplport                                          = 
retrowave_bus                                    = serial
retrowave_spi_cs                                 = 0,6
retrowave_port                                   = 
hardwarebase                                     = 220
force dsp auto-init                              = false
force goldplay                                   = false
goldplay                                         = true
goldplay stereo                                  = true
dsp require interrupt acknowledge                = auto
dsp write busy delay                             = -1
blaster environment variable                     = true
sample rate limits                               = true
instant direct dac                               = false
stereo control with sbpro only                   = true
dsp busy cycle rate                              = -1
dsp busy cycle always                            = -1
dsp busy cycle duty                              = -1
io port aliasing                                 = true

[sblaster2]
#                                           sbtype: Type of Sound Blaster to emulate. 'gb' is Game Blaster.
#                                                     Possible values: sb1, sb1.0, sb1.5, sb2, sb2.0, sb2.01, sbpro1, sbpro2, sb16, sb16vibra, gb, ess688, ess1688, reveal_sc400, none.
#                                           sbbase: The IO address of the Sound Blaster.
#                                                     220h to 2E0h are for use with IBM PC Sound Blaster emulation.
#                                                     D2h to DEh are for use with NEC PC-98 Sound Blaster 16 emulation.
#                                                     Possible values: 220, 240, 260, 280, 2a0, 2c0, 2e0, d2, d4, d6, d8, da, dc, de.
#                                              irq: The IRQ number of the Sound Blaster (usually 5 or 7, depending on the sound card type and the game).
#                                                     Set to 0 for the default setting of the sound card, or set to -1 to start DOSBox-X with the IRQ unassigned.
#                                                     Possible values: 7, 5, 3, 9, 10, 11, 12, 0, -1.
#                                           mindma: Minimum DMA transfer left to increase attention across DSP blocks, in milliseconds. Set to -1 for default.
#                                                     There are some DOS games/demos that use single-cycle DSP playback in their music tracker and they micromanage
#                                                     the DMA transfer per block poorly in a way that causes popping and artifacts. Setting this option to 0 for
#                                                     such DOS applications may reduce audible popping and artifacts.
#                       listen to recording source: When the guest records audio from the Sound Blaster card, send the input source to the speakers as well so it can be heard.
#                                 recording source: Audio source to use when guest is recording audio. At this time only generated audio sources are available.
#                                                     Possible values: silence, hiss, 1khz tone.
#                                         irq hack: Specify a hack related to the Sound Blaster IRQ to avoid crashes in a handful of games and demos.
#                                                         none                   Emulate IRQs normally
#                                                         cs_equ_ds              Do not fire IRQ unless two CPU segment registers match: CS == DS. Read DOSBox-X Wiki or source code for details.
#                                              dma: The DMA number of the Sound Blaster. Set to -1 to start DOSBox-X with the DMA unassigned.
#                                                     Possible values: 1, 5, 0, 3, 6, 7, -1.
#                                             hdma: The High DMA number of the Sound Blaster. Set to -1 to start DOSBox-X with the High DMA unassigned.
#                                                     Possible values: 1, 5, 0, 3, 6, 7, -1.
#                              dsp command aliases: If set (on by default), emulation will support known undocumented aliases
#                                                     of common Sound Blaster DSP commands. Some broken DOS games and demos rely on these aliases.
#                                                     For more information: https://www.vogons.org/viewtopic.php?f=62&t=61098&start=280
#                                   pic unmask irq: Start the DOS virtual machine with the Sound Blaster IRQ already unmasked at the PIC.
#                                                     Some early DOS games/demos that support Sound Blaster expect the IRQ to fire but make
#                                                     no attempt to unmask the IRQ. If audio cuts out no matter what IRQ you try, then try
#                                                     setting this option.
#                                                     Option is needed for:
#                                                        Public NMI "jump" demo (1992)
#                                   enable speaker: Start the DOS virtual machine with the Sound Blaster speaker enabled.
#                                                     Sound Blaster Pro and older cards have a speaker disable/enable command.
#                                                     Normally the card boots up with the speaker disabled. If a DOS game or demo
#                                                     attempts to play without enabling the speaker, set this option to true to
#                                                     compensate. This setting has no meaning if emulating a Sound Blaster 16 card.
#                                       enable asp: If set, emulate the presence of the Sound Blaster 16 Advanced Sound Processor/Creative Sound Processor chip.
#                                                     NOTE: This only emulates its presence and the basic DSP commands to communicate with it. Actual ASP/CSP functions are not yet implemented.
#                                disable filtering: By default DOSBox-X filters Sound Blaster output to emulate lowpass filters and analog output limitations.
#                                                     Set this option to true to disable filtering. Note that doing so disables emulation of the Sound Blaster Pro
#                                                     output filter and ESS AudioDrive lowpass filter.
# dsp write buffer status must return 0x7f or 0xff: If set, force port 22Ch (DSP write buffer status) to return 0x7F or 0xFF. If not set, the port
#                                                     may return 0x7F or 0xFF depending on what type of Sound Blaster is being emulated.
#                                                     Set this option for some early DOS demos that make that assumption about port 22Ch.
#                                                     Option is needed for:
#                                                        Overload by Hysteria (1992) - Audio will crackle/saturate (8-bit overflow) except when sbtype=sb16
#                             pre-set sbpro stereo: Start the DOS virtual machine with the Sound Blaster Pro stereo bit set (in the mixer).
#                                                     A few demos support Sound Blaster Pro but forget to set this bit.
#                                                     Option is needed for:
#                                                        Inconexia by Iguana (1993)
#                                          sbmixer: Allow the Sound Blaster mixer to modify the DOSBox-X mixer.
#                                              cms: Enable CMS emulation ('auto' by default).
#                                                       off:   Disable CMS emulation (except when the Game Blaster is selected).
#                                                       on:    Enable CMS emulation on Sound Blaster 1 and 2.
#                                                       auto:  Auto-enable CMS emulation for Sound Blaster 1 and Game Blaster.
#                                                     Possible values: on, off, auto.
#                                          oplmode: Type of OPL emulation. On 'auto' the mode is determined by the 'sbtype' setting.
#                                                     All OPL modes are AdLib-compatible.
#                                                     Possible values: auto, opl2, dualopl2, opl3, opl3gold, none, hardware, hardwaregb, esfm.
#             adlib force timer overflow on detect: If set, Adlib/OPL emulation will signal 'overflow' on timers after 50 I/O reads.
#                                                     This is a temporary hack to work around timing bugs noted in DOSBox-X. Certain
#                                                     games (Wolfenstein 3D) poll the Adlib status port a fixed number of times assuming
#                                                     that the poll loop takes long enough for the Adlib timer to run out. If the game
#                                                     cannot reliably detect Adlib at higher cycles counts, but can reliably detect at
#                                                     lower cycles counts, set this option.
#                                           oplemu: Provider for the OPL emulation. 'compat' might provide better quality.
#                                                     'nuked' is the most accurate (but the most CPU-intensive). See oplrate as well.
#                                                     Possible values: default, compat, fast, nuked, mame, opl2board, opl3duoboard, retrowave_opl3, esfmu.
#                                          oplrate: Sample rate of OPL music emulation. Use 49716 for highest quality (set the mixer rate accordingly).
#                                                     Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#                                          oplport: Serial port of the OPL2 Audio Board when oplemu=opl2board, opl2mode will become 'opl2' automatically.
#                                    retrowave_bus: Bus of the Retrowave series board (serial/spi). SPI is only supported on Linux.
#                                 retrowave_spi_cs: SPI chip select pin of the Retrowave series board. Only supported on Linux.
#                                   retrowave_port: Serial port of the Retrowave series board.
#                                     hardwarebase: base address of the real hardware Sound Blaster:
#                                                     210,220,230,240,250,260,280
#                              force dsp auto-init: Treat all single-cycle DSP commands as auto-init to keep playback going.
#                                                     This option is a workaround for DOS games or demos that use single-cycle DSP playback commands and
#                                                     have problems with missing the Sound Blaster IRQ under load. Do not enable unless you need this workaround.
#                                                     Needed for:
#                                                       - Extreme "lunatic" demo (1993)
#                                   force goldplay: Always render Sound Blaster output sample-at-a-time. Testing option. You probably don't want to enable this.
#                                         goldplay: Enable goldplay emulation.
#                                  goldplay stereo: Enable workaround for goldplay stereo playback. Many DOS demos using this technique
#                                                     don't seem to know they need to double the frequency when programming the DSP time constant for Pro stereo output.
#                                                     If stereo playback seems to have artifacts consider enabling this option. For accurate emulation of Sound Blaster
#                                                     hardware, disable this option.
#                dsp require interrupt acknowledge: If set, the DSP will halt DMA playback until IRQ acknowledgement occurs even in auto-init mode (SB16 behavior).
#                                                     If clear, IRQ acknowledgement will have no effect on auto-init playback (SB Pro and earlier & clone behavior)
#                                                     If set to 'auto' then behavior is determined by sbtype= setting.
#                                                     This is a setting for hardware accuracy in emulation. If audio briefly plays then stops then your DOS game
#                                                     and it's not using IRQ (but using DMA), try setting this option to 'false'
#                             dsp write busy delay: Amount of time in nanoseconds the DSP chip signals 'busy' after writing to the DSP (port 2xCh). Set to -1 to use card-specific defaults.
#                                                     WARNING: Setting the value too high (above 20000ns) may have detrimental effects to DOS games that use IRQ 0 and DSP command 0x10 to play audio.
#                                                              Setting the value way too high (above 1000000ns) can cause significant lag in DOS games.
#                     blaster environment variable: Whether or not to set the BLASTER environment variable automatically at startup
#                               sample rate limits: If set (default), limit DSP sample rate to what real hardware is limited to
#                               instant direct dac: If set, direct DAC output commands are instantaneous. This option is intended as a quick fix for
#                                                     games or demos that play direct DAC music/sound from the IRQ 0 timer who a) write the DSP command
#                                                     and data without polling the DSP to ensure it's ready or b) can get locked into the IRQ 0 handler
#                                                     waiting for DSP status when instructed to play at or beyond the DSP's maximum direct DAC sample rate.
#                                                     This fix allows broken Sound Blaster code to work and should not be enabled unless necessary.
#                   stereo control with sbpro only: Default on. If set, Sound Blaster Pro stereo is not available when emulating sb16 or sb16vibra.
#                                                     If clear, sb16 emulation will honor the sbpro stereo bit. Note that Creative SB16 cards do not
#                                                     honor the stereo bit, and this option allows DOSBox-X emulate that fact. Accuracy setting.
#                              dsp busy cycle rate: Sound Blaster 16 DSP chips appear to go busy periodically at some high clock rate
#                                                     whether the DSP is actually doing anything for the system or not. This is an accuracy
#                                                     option for Sound Blaster emulation. If this option is nonzero, it will be interpreted
#                                                     as the busy cycle rate in Hz. If zero, busy cycle will not be emulated. If -1, sound
#                                                     blaster emulation will automatically choose a setting based on the sbtype= setting
#                            dsp busy cycle always: If set, the DSP busy cycle always happens. If clear, DSP busy cycle only happens when
#                                                     audio playback is running. Default setting is to pick according to the sound card.
#                              dsp busy cycle duty: If emulating SB16 busy cycle, this value (0 to 100) controls the duty cycle of the busy cycle.
#                                                     If this option is set to -1, Sound Blaster emulation will choose a value automatically according
#                                                     to sbtype=. If 0, busy cycle emulation is disabled.
#                                 io port aliasing: If set, Sound Blaster ports alias by not decoding the LSB of the I/O port.
#                                                     This option only applies when sbtype is set to sb1 or sb2 (not SBPro or SB16).
#                                                     This is a hack for the Electromotive Force 'Internal Damage' demo which apparently
#                                                     relies on this behavior for Sound Blaster output and should be enabled for accuracy in emulation.
sbtype                                           = none
sbbase                                           = 260
irq                                              = 3
mindma                                           = -1
listen to recording source                       = false
recording source                                 = silence
irq hack                                         = none
dma                                              = 0
hdma                                             = 7
dsp command aliases                              = true
pic unmask irq                                   = false
enable speaker                                   = false
enable asp                                       = false
disable filtering                                = false
dsp write buffer status must return 0x7f or 0xff = false
pre-set sbpro stereo                             = false
sbmixer                                          = true
cms                                              = off
oplmode                                          = none
adlib force timer overflow on detect             = false
oplemu                                           = default
oplrate                                          = 48000
oplport                                          = 
retrowave_bus                                    = serial
retrowave_spi_cs                                 = 0,6
retrowave_port                                   = 
hardwarebase                                     = 220
force dsp auto-init                              = false
force goldplay                                   = false
goldplay                                         = true
goldplay stereo                                  = true
dsp require interrupt acknowledge                = auto
dsp write busy delay                             = -1
blaster environment variable                     = false
sample rate limits                               = true
instant direct dac                               = false
stereo control with sbpro only                   = true
dsp busy cycle rate                              = -1
dsp busy cycle always                            = -1
dsp busy cycle duty                              = -1
io port aliasing                                 = true

[gus]
#                                gus: Enable the Gravis Ultrasound emulation.
#         global register read alias: If true, all GUS global registers have a read alias at N and N+0x80.
#                                       If false, only the voice registers 0x0-0xF have a read alias at 0x80-0x8F as officially documented.
#                                       If auto, automatically choose based on other settings such as GUS type.
#                                       This setting may be needed for DOS demoscene entries that assume aliasing behavior such as Out of Control by Contract.
#                                       Possible values: true, false, 1, 0, auto.
#  warn on out of bounds dram access: Controls whether attempts to access GUS DRAM beyond the 1MB maximum supported by the card are logged to the log file as a warning.
#                            autoamp: If set, GF1 output will reduce in volume automatically if the sum of all channels exceeds full volume.
#                                       If not set, then loud music will clip to full volume just as it would on real hardware.
#                                       Enable this option for loud music if you want a more pleasing rendition without saturation and distortion.
#                         unmask dma: Start the DOS virtual machine with the DMA channel already unmasked at the controller.
#                                       Use this for DOS applications that expect to operate the GUS but forget to unmask the DMA channel.
#  ignore channel count while active: Ignore writes to the active channel count register when the DAC is enabled (bit 1 of GUS reset)
#                                       This is a HACK for demoscene prod 'Ice Fever' without which the music sounds wrong.
#                                       According to current testing real hardware does not behave this way.
#                     pic unmask irq: Start the DOS virtual machine with the GUS IRQ already unmasked at the PIC.
#                startup initialized: If set, start the GF1 in a fully initialized state (as if ULTRINIT had been run).
#                                       If clear, leave the card in an uninitialized state (as if cold boot).
#                                       Some DOS games or demoscene productions will hang or fail to use the Ultrasound hardware
#                                       because they assume the card is initialized and their hardware detect does not fully initialize the card.
#  dma enable on dma control polling: If set, automatically enable GUS DMA transfer bit in specific cases when the DMA control register is being polled.
#                                       THIS IS A HACK. Some games and demoscene productions need this hack to avoid hanging while uploading sample data
#                                       to the Gravis Ultrasound due to bugs in their implementation.
# clear dma tc irq if excess polling: If the DOS application is seen polling the IRQ status register rapidly, automatically clear the DMA TC IRQ status.
#                                       This is a hack that should only be used with DOS applications that need it to avoid bugs in their GUS support code.
#                                       Needed for:
#                                         Warcraft II by Blizzard ............. if using GUS for music and sound, set this option to prevent the game from
#                                                                               hanging when you click on the buttons in the main menu.
#            force master irq enable: Set this option if a DOS game or demo initializes the GUS but is unable to play any music.
#                                       Usually the cause is buggy GUS support that resets the GUS but fails to set the Master IRQ enable bit.
#                  gus panning table: Controls which table or equation is used for the Gravis Ultrasound panning emulation.
#                                       accurate emulation attempts to better reflect how the actual hardware handles panning,
#                                       while the old emulation uses a simpler idealistic mapping.
#                                       Possible values: old, accurate, default.
#                            gusrate: Sample rate of Ultrasound emulation.
#                                       Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#              gus fixed render rate: If set, Gravis Ultrasound audio output is rendered at a fixed sample rate specified by 'gusrate'. This can provide better quality than real hardware,
#                                       if desired. Else, Gravis Ultrasound emulation will change the sample rate of its output according to the number of active channels, just like real hardware.
#                                       Note: DOSBox-X defaults to 'false', while mainline DOSBox SVN is currently hardcoded to render as if this setting is 'true'.
#                         gusmemsize: Amount of RAM on the Gravis Ultrasound in KB. Set to -1 for default.
#                  gus master volume: Master Gravis Ultrasound GF1 volume, in decibels. Reducing the master volume can help with games or demoscene productions where the music is too loud and clipping.
#                            gusbase: The IO base address of the Gravis Ultrasound.
#                                       Possible values: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300, 210, 230, 250.
#                             gusirq: The IRQ number of the Gravis Ultrasound.
#                                       Possible values: 5, 3, 7, 9, 10, 11, 12.
#                             gusdma: The DMA channel of the Gravis Ultrasound.
#                                       Possible values: 3, 0, 1, 5, 6, 7.
#                           irq hack: Specify a hack related to the Gravis Ultrasound IRQ to avoid crashes in a handful of games and demos.
#                                           none                   Emulate IRQs normally
#                                           cs_equ_ds              Do not fire IRQ unless two CPU segment registers match: CS == DS. Read DOSBox-X Wiki or source code for details.
#                            gustype: Type of Gravis Ultrasound to emulate.
#                                       classic             Original Gravis Ultrasound chipset
#                                       classic37           Original Gravis Ultrasound with ICS Mixer (rev 3.7)
#                                       max                 Gravis Ultrasound MAX emulation (with CS4231 codec)
#                                       interwave           Gravis Ultrasound Plug & Play (interwave)
#                                       Possible values: classic, classic37, max, interwave.
#                           ultradir: Path to Ultrasound directory. In this directory
#                                       there should be a MIDI directory that contains
#                                       the patch files for GUS playback. Patch sets used
#                                       with Timidity should work fine.
gus                                = false
global register read alias         = auto
warn on out of bounds dram access  = false
autoamp                            = false
unmask dma                         = false
ignore channel count while active  = false
pic unmask irq                     = false
startup initialized                = false
dma enable on dma control polling  = false
clear dma tc irq if excess polling = false
force master irq enable            = false
gus panning table                  = default
gusrate                            = 48000
gus fixed render rate              = false
gusmemsize                         = -1
gus master volume                  = 0.00
gusbase                            = 240
gusirq                             = 5
gusdma                             = 3
irq hack                           = none
gustype                            = classic
ultradir                           = C:\ULTRASND

[innova]
#     innova: Enable the Innovation SSI-2001 emulation.
# samplerate: Sample rate of Innovation SSI-2001 emulation
#               Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#    sidbase: SID base port (typically 280h).
#               Possible values: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#    quality: Set SID emulation quality level (0 to 3).
#               Possible values: 0, 1, 2, 3.
innova     = false
samplerate = 22050
sidbase    = 280
quality    = 0

[imfc]
#        imfc: Enable the IBM Music Feature Card (disabled by default).
#   imfc_base: The IO base address of the IBM Music Feature Card (2A20 by default).
#                Possible values: 2a20, 2a30.
#    imfc_irq: The IRQ number of the IBM Music Feature Card (3 by default).
#                Possible values: 2, 3, 4, 5, 6, 7.
# imfc_filter: Filter for the IBM Music Feature Card output:
#                  on:        Filter the output (default).
#                  off:       Don't filter the output.
imfc        = false
imfc_base   = 2a20
imfc_irq    = 3
imfc_filter = on

[speaker]
#                              pcspeaker: Enable PC-Speaker emulation.
# pcspeaker clock gate enable at startup: Start system with the clock gate (bit 0 of port 61h) on. Needed for some games that use the PC speaker for timing on IBM compatible systems.
#                                           This option has no effect in PC-98 mode.
#                      initial frequency: PC speaker PIT timer is programmed to this frequency on startup. If the DOS game
#                                           or demo causes a long audible beep at startup (leaving the gate open) try setting
#                                           this option to 0 to silence the PC speaker until reprogrammed by the demo.
#                                           Set to 0 for some early Abaddon demos including "Torso" and "Cycling".
#                                 pcrate: Sample rate of the PC-Speaker sound generation.
#                                           Possible values: 65536, 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#                                  tandy: Enable Tandy Sound System emulation. For 'auto', emulation is present only if machine is set to 'tandy'.
#                                           Possible values: auto, on, off.
#                              tandyrate: Sample rate of the Tandy 3-Voice generation.
#                                           Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
#                                 disney: Enable Disney Sound Source emulation. (Covox Voice Master and Speech Thing compatible).
#                               ps1audio: Enable PS1 audio emulation.
#                                           Possible values: on, off.
#                           ps1audiorate: Sample rate of the PS1 audio emulation.
#                                           Possible values: 49716, 48000, 44100, 32000, 22050, 16000, 11025, 8000.
pcspeaker                              = true
pcspeaker clock gate enable at startup = false
initial frequency                      = -1
pcrate                                 = 65536
tandy                                  = auto
tandyrate                              = 48000
disney                                 = false
ps1audio                               = off
ps1audiorate                           = 22050

[joystick]
#  joysticktype: Type of joystick to emulate: auto (default),
#                  none (disables joystick emulation),
#                  2axis (supports two joysticks),
#                  4axis (supports one joystick, first joystick used),
#                  4axis_2 (supports one joystick, second joystick used),
#                  fcs (Thrustmaster), ch (CH Flightstick).
#                  auto chooses emulation depending on real joystick(s).
#                  (Remember to reset DOSBox-X's mapperfile if you saved it earlier)
#                  Possible values: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#         timed: enable timed intervals for axis. Experiment with this option, if your joystick drifts (away).
#      autofire: continuously fires as long as you keep the button pressed.
#        swap34: swap the 3rd and the 4th axis. can be useful for certain joysticks.
#    buttonwrap: enable button wrapping at the number of emulated buttons.
# joy1deadzone1: deadzone for joystick 1 thumbstick 1.
# joy1deadzone2: deadzone for joystick 1 thumbstick 2.
# joy2deadzone1: deadzone for joystick 2 thumbstick 1.
# joy1response1: response for joystick 1 thumbstick 1.
# joy1response2: response for joystick 1 thumbstick 2.
# joy2response1: response for joystick 2 thumbstick 1.
#     joy1axis0: axis for joystick 1 axis 0.
#     joy1axis1: axis for joystick 1 axis 1.
#     joy1axis2: axis for joystick 1 axis 2.
#     joy1axis3: axis for joystick 1 axis 3.
#     joy1axis4: axis for joystick 1 axis 4.
#     joy1axis5: axis for joystick 1 axis 5.
#     joy1axis6: axis for joystick 1 axis 6.
#     joy1axis7: axis for joystick 1 axis 7.
#     joy2axis0: axis for joystick 2 axis 0.
#     joy2axis1: axis for joystick 2 axis 1.
#     joy2axis2: axis for joystick 2 axis 2.
#     joy2axis3: axis for joystick 2 axis 3.
#     joy2axis4: axis for joystick 2 axis 4.
#     joy2axis5: axis for joystick 2 axis 5.
#     joy2axis6: axis for joystick 2 axis 6.
#     joy2axis7: axis for joystick 2 axis 7.
joysticktype  = auto
timed         = true
autofire      = false
swap34        = false
buttonwrap    = false
joy1deadzone1 = 0.25
joy1deadzone2 = 0.25
joy2deadzone1 = 0.25
joy1response1 = 1.00
joy1response2 = 1.00
joy2response1 = 1.00
joy1axis0     = 0
joy1axis1     = 1
joy1axis2     = 2
joy1axis3     = 3
joy1axis4     = 4
joy1axis5     = 5
joy1axis6     = 6
joy1axis7     = 7
joy2axis0     = 0
joy2axis1     = 1
joy2axis2     = 2
joy2axis3     = 3
joy2axis4     = 4
joy2axis5     = 5
joy2axis6     = 6
joy2axis7     = 7

[mapper]
# joy1deadzone0-: deadzone for joystick 1 axis 0-
# joy1deadzone0+: deadzone for joystick 1 axis 0+
# joy1deadzone1-: deadzone for joystick 1 axis 1-
# joy1deadzone1+: deadzone for joystick 1 axis 1+
# joy1deadzone2-: deadzone for joystick 1 axis 2-
# joy1deadzone2+: deadzone for joystick 1 axis 2+
# joy1deadzone3-: deadzone for joystick 1 axis 3-
# joy1deadzone3+: deadzone for joystick 1 axis 3+
# joy1deadzone4-: deadzone for joystick 1 axis 4-
# joy1deadzone4+: deadzone for joystick 1 axis 4+
# joy1deadzone5-: deadzone for joystick 1 axis 5-
# joy1deadzone5+: deadzone for joystick 1 axis 5+
# joy1deadzone6-: deadzone for joystick 1 axis 6-
# joy1deadzone6+: deadzone for joystick 1 axis 6+
# joy1deadzone7-: deadzone for joystick 1 axis 7-
# joy1deadzone7+: deadzone for joystick 1 axis 7+
# joy2deadzone0-: deadzone for joystick 2 axis 0-
# joy2deadzone0+: deadzone for joystick 2 axis 0+
# joy2deadzone1-: deadzone for joystick 2 axis 1-
# joy2deadzone1+: deadzone for joystick 2 axis 1+
# joy2deadzone2-: deadzone for joystick 2 axis 2-
# joy2deadzone2+: deadzone for joystick 2 axis 2+
# joy2deadzone3-: deadzone for joystick 2 axis 3-
# joy2deadzone3+: deadzone for joystick 2 axis 3+
# joy2deadzone4-: deadzone for joystick 2 axis 4-
# joy2deadzone4+: deadzone for joystick 2 axis 4+
# joy2deadzone5-: deadzone for joystick 2 axis 5-
# joy2deadzone5+: deadzone for joystick 2 axis 5+
# joy2deadzone6-: deadzone for joystick 2 axis 6-
# joy2deadzone6+: deadzone for joystick 2 axis 6+
# joy2deadzone7-: deadzone for joystick 2 axis 7-
# joy2deadzone7+: deadzone for joystick 2 axis 7+
joy1deadzone0- = 0.60
joy1deadzone0+ = 0.60
joy1deadzone1- = 0.60
joy1deadzone1+ = 0.60
joy1deadzone2- = 0.60
joy1deadzone2+ = 0.60
joy1deadzone3- = 0.60
joy1deadzone3+ = 0.60
joy1deadzone4- = 0.60
joy1deadzone4+ = 0.60
joy1deadzone5- = 0.60
joy1deadzone5+ = 0.60
joy1deadzone6- = 0.60
joy1deadzone6+ = 0.60
joy1deadzone7- = 0.60
joy1deadzone7+ = 0.60
joy2deadzone0- = 0.60
joy2deadzone0+ = 0.60
joy2deadzone1- = 0.60
joy2deadzone1+ = 0.60
joy2deadzone2- = 0.60
joy2deadzone2+ = 0.60
joy2deadzone3- = 0.60
joy2deadzone3+ = 0.60
joy2deadzone4- = 0.60
joy2deadzone4+ = 0.60
joy2deadzone5- = 0.60
joy2deadzone5+ = 0.60
joy2deadzone6- = 0.60
joy2deadzone6+ = 0.60
joy2deadzone7- = 0.60
joy2deadzone7+ = 0.60

[serial]
#       serial1: serial1-9 -- set type of device connected to the serial (COM) port.
#                  Can be disabled, dummy, file, modem, nullmodem, directserial.
#                  Additional parameters must be in the same line in the form of
#                  parameter:value. Parameter for all types is irq (optional).
#                  for file: specify an output file
#                  Additional parameters:
#                      timeout:<milliseconds> = how long to wait before closing the file on inactivity (default:0),
#                      squote to use single quotes instead of double quotes for quoted program commands.
#                      shellhide to hide the command window when opening programs on the Windows platform.
#                      openwith:<program>: start a program to open the output file.
#                      openerror:<program>: start a program to open the output file if an error had occurred.
#                      multiplier:<x>: Actual baud rate is the programmed rate times X to allow rates higher than 115200.
#                  Example: serial1=file file:output1.txt timeout:1000 openwith:notepad
#                  for directserial: realport (required), rxdelay (optional).
#                                   (realport:COM1 realport:ttyS0).
#                  for modem: listenport (optional).
#                  for nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                                 transparent, port, inhsocket, sock, nonlocal (all optional).
#                                 connections are limited to localhost unless you specify nonlocal:1
#                                 "sock" parameter specifies the protocol to be used by both sides
#                                 of the connection. 0 for TCP and 1 for ENet reliable UDP.
#                  Example: serial1=modem listenport:5000 sock:1
#                  Note: COM1-4 are standard COM ports in DOS, whereas COM5-9 are extended COM ports.
#                        You can optionally specify base addresses and IRQs for them with base: and irq: options.
#                        Serial port settings can also be changed via the built-in SERIAL command.
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial2: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial3: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial4: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial5: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial6: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial7: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial8: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
#       serial9: see serial1
#                  Possible values: dummy, disabled, modem, nullmodem, serialmouse, directserial, log, file.
# phonebookfile: File used to map fake phone numbers to addresses.
serial1       = dummy
serial2       = dummy
serial3       = disabled
serial4       = disabled
serial5       = disabled
serial6       = disabled
serial7       = disabled
serial8       = disabled
serial9       = disabled
phonebookfile = phonebook-dosbox-x.txt

[parallel]
# parallel1: parallel1-9 -- set type of device connected to the parallel (LPT) port.
#              Can be:
#                 reallpt (direct parallel port passthrough),
#                 file (records data to a file or passes it to a device),
#                 printer (virtual dot-matrix printer, see [printer] section)
#                     disney (attach Disney Sound Source emulation to this port)
#              Additional parameters must be in the same line in the form of
#              parameter:value.
#                for reallpt:
#                Windows and DOS:
#                  realbase (the base address of your real parallel port).
#                    Default: 378
#                  ecpbase (address of the ECP Extended Control register, optional).
#                BSD: same as Windows (requires root access / setuid root).
#                Linux: same as Windows (requires root access / setuid root) or:
#                  realport (the parallel port device e.g. /dev/parport0).
#                for file:
#                  dev:<devname> (i.e. dev:lpt1) to forward data to a device,
#                  or append:<file> appends data to the specified file.
#                  Without the above parameters data is written to files in the capture dir.
#                  Additional parameters:
#                  timeout:<milliseconds> = how long to wait before closing the file on inactivity (default:0 or 500),
#                  squote to use single quotes instead of double quotes for quoted program commands.
#                  shellhide to hide the command window when opening programs on the Windows platform.
#                  addFF to add a formfeed when closing, addLF to add a linefeed if the app doesn't.
#                  cp:<codepage number> to perform codepage translation, i.e. cp:437
#                  openps:<program>: start a program to open the file if the print output is detected to be PostScript.
#                  openpcl:<program>: start a program to open the file if the print output is detected to be PCL.
#                  openwith:<program>: start a program to open the file in all other conditions.
#                  openerror:<program>: start a program to open the file if an error had occurred.
#                Example: parallel1=file file:output1.prn timeout:1000 openpcl:pcl6 openps:gswin32c openwith:notepad
#                for printer:
#                  printer still has its own configuration section above.
#              Note: LPT1-3 are standard LPT ports in DOS, whereas LPT4-9 are extended LPT ports.
#                    You can optionally specify base addresses and IRQs for them with base: and irq: options.
#                    Parallel port settings can also be changed via the built-in PARALLEL command.
# parallel2: see parallel1
# parallel3: see parallel1
# parallel4: see parallel1
# parallel5: see parallel1
# parallel6: see parallel1
# parallel7: see parallel1
# parallel8: see parallel1
# parallel9: see parallel1
#    dongle: Enable dongle
parallel1 = printer
parallel2 = disabled
parallel3 = disabled
parallel4 = disabled
parallel5 = disabled
parallel6 = disabled
parallel7 = disabled
parallel8 = disabled
parallel9 = disabled
dongle    = false

[printer]
#     printer: Enable printer emulation.
#         dpi: Resolution of printer (default 360).
#       width: Width of paper in 1/10 inch (default 85 = 8.5'').
#      height: Height of paper in 1/10 inch (default 110 = 11.0'').
# printoutput: Output method for finished pages:
#                  png     : Creates PNG images (default)
#                  ps      : Creates PostScript
#                  bmp     : Creates BMP images (very huge files, not recommended)
#                  printer : Send to an actual printer in Windows (specify a printer, or Print dialog will appear)
#   multipage: Adds all pages to one PostScript file or printer job until CTRL-F2 is pressed.
#      device: Specify the Windows printer device to use. You can see the list of devices from the Help
#                  menu ('List printer devices') or the Status Window. Then make your choice and put either
#                  the printer device number (e.g. 2) or your printer name (e.g. Microsoft Print to PDF).
#                  Leaving it empty will show the Windows Print dialog (or '-' for showing once).
#     docpath: The path (directory) where the output files are stored.
#    fontpath: The path (directory) where the printer fonts (courier.ttf, ocra.ttf, roman.ttf, sansserif.ttf, script.ttf) are located.
#    openwith: Start the specified program to open the output file.
#   openerror: Start the specified program to open the output file if an error had occurred.
#   printdbcs: Allows DOSBox-X to print Chinese/Japanese/Korean DBCS (double-byte) characters when these code pages are active.
#                If set to auto (default), this is enabled only for the TrueType font (TTF) output with the DBCS support enabled.
#                Only applicable when using a DBCS code page (932: Japanese, 936: Simplified Chinese; 949: Korean; 950: Traditional Chinese)
#                Possible values: true, false, 1, 0, auto.
#   shellhide: If set, the command window will be hidden for openwith/openerror options on the Windows platform.
#     timeout: (in milliseconds) if nonzero: the time the page will be ejected automatically after when no more data arrives at the printer.
printer     = true
dpi         = 360
width       = 85
height      = 110
printoutput = png
multipage   = false
device      = -
docpath     = .
fontpath    = FONTS
openwith    = 
openerror   = 
printdbcs   = auto
shellhide   = false
timeout     = 0

[dos]
#                                              xms: Enable XMS support.
#      turn off a20 gate on load if loadfix needed: If enabled, and loading a program below the 64kb boundary, turn off the A20 gate.
#                                                     This can help with any program with startup code that assumes the segment wraparound of the 8086.
#                                                     Depending on DOS configuration the A20 gate may be re-enabled later such as calling INT 21h.
#                                  xms log memmove: If set, XMS move/copy operations are logged for debugging purposes.
#                xms memmove causes flat real mode: If set, any call to XMS to move/copy memory sets up flat real mode for segment registers DS and ES.
#                   xms init causes flat real mode: If set, when the DOS kernel initializes XMS it will switch on flat real mode for segment registers DS and ES if appropriate.
#      resized free memory block becomes allocated: If set, and the DOS application resizes a freed memory block, that block will be marked as allocated to that program.
#                                                     MS-DOS behaves in this manner, apparently.
#                                      xms handles: Number of XMS handles available for the DOS environment, or 0 to use a reasonable default
#                  shell configuration as commands: Allow entering dosbox-x.conf configuration parameters as shell commands to get and set settings.
#                                                     This is disabled by default to avoid conflicts between commands and executables.
#                                                     It is recommended to get and set dosbox-x.conf settings using the CONFIG command instead.
#                                                     Compatibility with DOSBox SVN can be improved by enabling this option.
#                                badcommandhandler: Allow to specify a custom error handler command for the internal DOS shell before the "Bad command or file name" message shows up.
#                               mscdex device name: If set, use this name as the MSCDEX device name instead of MSCD001
#                                              hma: Report through XMS that HMA exists (not necessarily available)
#                            hma allow reservation: Allow TSR and application (anything other than the DOS kernel) to request control of the HMA.
#                                                     They will not be able to request control however if the DOS kernel is configured to occupy the HMA (DOS=HIGH)
#              command shell flush keyboard buffer: If set, the DOS shell (COMMAND.COM) will flush the keyboard buffer before executing a command, and will flush the keyboard buffer again when the command returns.
#                                                     The purpose of this option is to prevent the program from immediately acting on the Enter key you pressed to run it.
#                       hard drive data rate limit: Slow down (limit) hard disk throughput. This setting controls the limit in bytes/second.
#                                                     Set to 0 to disable the limit, or -1 (default) to use a reasonable limit.
#                                                     The disk I/O performance as in DOSBox SVN can be achieved by setting this to 0.
#                     floppy drive data rate limit: Slow down (limit) floppy disk throughput. This setting controls the limit in bytes/second.
#                                                     Set to 0 to disable the limit, or -1 (default) to use a reasonable limit.
#                                                     The disk I/O performance as in DOSBox SVN can be achieved by setting this to 0.
#                    special operation file prefix: The file prefix used by DOSBox-X's special operations on mounted local/overlay drives. It is fixed to "DB" in mainline DOSBox.
#                                drive z is remote: If set, DOS will report drive Z as remote. If not set, DOS will report drive Z as local.
#                                                     If auto (default), DOS will report drive Z as remote or local depending on the program.
#                                                     Set this option to true to prevent SCANDISK.EXE from attempting scan and repair drive Z:
#                                                     which is impossible since Z: is a virtual drive not backed by a disk filesystem.
#                                                     Possible values: true, false, 1, 0, auto.
#                              drive z convert fat: If set, DOSBox-X will automatically convert the Z drive into disk image as well when "convertdrivefat" is set.
#                              drive z expand path: If set, DOSBox-X will automatically expand the %PATH% environment variable to include the subdirectories on the Z drive.
#                               drive z hide files: The files or directories listed here (separated by space) will be either hidden or removed from the Z drive.
#                                                     Files with leading forward slashes (e.g. "/DEBUG\BIOSTEST.COM") will become hidden files (DIR /A will list them).
#                      automount drive directories: If set, DOSBox-X will automatically mount existing drive directories from C drive to Y drive, e.g. "DriveC".
#                                                     NOTE: This option is only available under Windows.
#                             hidenonrepresentable: If set, DOSBox-X will hide files on local drives that are non-representative in the current DOS code page.
#                                                     This may be required for some programs such as Windows 3.x Setup if the drives contain international filenames.
#                           hma minimum allocation: Minimum allocation size for HMA in bytes (equivalent to /HMAMIN= parameter).
#                                         ansi.sys: If set (by default), ANSI.SYS emulation is on. If clear, ANSI.SYS is not emulated and will not appear to be installed.
#                                                     NOTE: This option has no effect in PC-98 mode where MS-DOS systems integrate ANSI.SYS into the DOS kernel.
#                                      log console: If set, log DOS CON output to the log file. Setting to "quiet" will log DOS CON output only (no debugging output).
#                                                     Possible values: true, false, 1, 0, quiet.
#                                     dos sda size: SDA (swappable data area) size, in bytes. Set to 0 to use a reasonable default.
#                                   hma free space: Controls the amount of free space available in HMA. This setting is not meaningful unless the
#                                                     DOS kernel occupies HMA and the emulated DOS version is at least 5.0.
#                           cpm compatibility mode: This controls how the DOS kernel sets up the CP/M compatibility code in the PSP segment.
#                                                     Several options are provided to emulate one of several undocumented behaviors related to the CP/M entry point.
#                                                     If set to auto, DOSBox-X will pick the best option to allow it to work properly.
#                                                     Unless set to 'off', this option will require the DOS kernel to occupy the first 256 bytes of the HMA memory area
#                                                     to prevent crashes when the A20 gate is switched on.
#                                                        auto      Pick the best option
#                                                        off       Turn off the CP/M entry point (program will abort if called)
#                                                        msdos2    MS-DOS 2.x behavior, offset field also doubles as data segment size
#                                                        msdos5    MS-DOS 5.x behavior, entry point becomes one of two fixed addresses
#                                                        direct    Non-standard behavior, encode the CALL FAR directly to the entry point rather than indirectly
#                                                     Possible values: auto, off, msdos2, msdos5, direct.
#                                            share: Reports SHARE.EXE as resident and provides functions such as file-locking and record-locking, although not all SHARE functions are emulated.
#                                file access tries: If a positive integer is set, DOSBox-X will try to read/write/lock files directly on mounted local drives for the specified number of times without caching before failing on Windows systems.
#                                                     For networked database applications (e.g. dBase, FoxPro, etc), it is strongly recommended to set this to e.g. 3 for correct operations.
#                               network redirector: Report DOS network redirector as resident. This will allow the host name to be returned unless the secure mode is enabled.
#                                                     You can also directly access UNC network paths in the form \\MACHINE\SHARE even if they are not mounted as drives on Windows systems.
#                                                     Set either "ipx=true" in [ipx] section or "ne2000=true" in [ne2000] section for a full network redirector environment.
#   mcb corruption becomes application free memory: If MCB chain corruption occurs following the DOS program PSP segment and the DOS program does anything to cause memory allocation,make a new free memory block in it's place instead of halting emulation with an MCB chain error. Some DOS programs are sloppywith memory to corrupt the MCB chain after itself in memory. This is apparently real MS-DOS behavior, set to true to enable.If set to false, all MCB chain corruption will halt emulation as DOSBox forks typically do already.
#              minimum dos initial private segment: In non-mainline mapping mode, where DOS structures are allocated from base memory, this sets the
#                                                     minimum segment value. Recommended value is 0x70. You may reduce the value down to 0x50 if freeing
#                                                     up more memory is important. Set to 0 for default.
#                              minimum mcb segment: Minimum segment value to begin memory allocation from, in hexadecimal. Set to 0 for default.
#                                                     You can increase available DOS memory by reducing this value down to as low as 0x51, however
#                                                     setting it to low can cause some DOS programs to crash or run erratically, and some DOS games
#                                                     and demos to cause intermittent static noises when using Sound Blaster output. DOS programs
#                                                     compressed with Microsoft EXEPACK will not run if the minimum MCB segment is below 64KB. This differs
#                                                     from 'minimum mcb free' in that this affects the starting point of the mcb chain instead of the lowest free block.
#                                 minimum mcb free: Minimum free segment value to leave free. At startup, the DOS kernel will allocate memory
#                                                     up to this point. This can be used to deal with EXEPACK issues or DOS programs that cannot
#                                                     be loaded too low in memory. If you want more free conventional memory to be reported,
#                                                     you can for example set its value to 1.
#                          enable dummy device mcb: If set (default), allocate a fake device MCB at the base of conventional memory.
#                                                     Clearing this option can reclaim a small amount of conventional memory at the expense of
#                                                     some minor DOS compatibility.
#           maximum environment block size on exec: Maximum environment block size to copy for child processes. Set to -1 for default.
#        additional environment block size on exec: When executing a program, compute the size of the parent block then add this amount to allow for a few additional variables.
#                                                     If the subprocesses will never add/modify the environment block, you can free up a few additional bytes by setting this to 0.
#                                                     Set to -1 for default setting.
#                       enable a20 on windows init: If set, DOSBox-X will enable the A20 gate when Windows 3.1/9x broadcasts the INIT message
#                                                     at startup. Windows 3.1 appears to make assumptions at some key points on startup about
#                                                     A20 that don't quite hold up and cause Windows 3.1 to crash when you set A20 emulation
#                                                     to a20=mask as opposed to a20=fast. This option is enabled by default.
#             zero memory on xms memory allocation: If set, memory returned by XMS allocation call is zeroed first. This is NOT what
#                                                     DOS actually does, but if set, can help certain DOS games and demos cope with problems
#                                                     related to uninitialized variables in extended memory. When enabled this option may
#                                                     incur a slight to moderate performance penalty.
#                                              ems: Enable EMS support. The default (=true) provides the best
#                                                     compatibility but certain applications may run better with
#                                                     other choices, or require EMS support to be disabled (=false)
#                                                     to work at all.
#                                                     Possible values: true, emsboard, emm386, false, 1, 0.
#                                             vcpi: If set and expanded memory is enabled, also emulate VCPI.
#                          unmask timer on disk io: If set, INT 21h emulation will unmask IRQ 0 (timer interrupt) when the application opens/closes/reads/writes files.
#                           zero int 67h if no ems: If ems=false, leave interrupt vector 67h zeroed out (default true).
#                                                     This is a workaround for games or demos that try to detect EMS by whether or not INT 67h is 0000:0000 rather than a proper test.
#                                                     This option also affects whether INT 67h is zeroed when booting a guest OS.
#                              zero unused int 68h: Leave INT 68h zero at startup.
#                                                     Set this to true for certain games that use INT 68h in unusual ways that require a zero value.
#                                                     Note that the vector is left at zero anyway when machine=cga.
#                                                     This is needed to properly run 1988 game 'PopCorn'.
#                            emm386 startup active: If set and expanded memory is set to emulate emm386, start the DOS machine with EMM386.EXE active
#                                                     (running the 16-bit DOS environment from within Virtual 8086 mode). If you will be running anything
#                                                     that involves a DOS extender you will also need to enable the VCPI interface as well.
#             zero memory on ems memory allocation: If set, memory returned by EMS allocation call is zeroed first. This is NOT what
#                                                     DOS actually does, but if set, can help certain DOS games and demos cope with problems
#                                                     related to uninitialized variables in expanded memory. When enabled this option may
#                                                     incur a slight to moderate performance penalty.
#                    ems system handle memory size: Amount of memory associated with system handle, in KB.
#               ems system handle on even megabyte: If set, try to allocate the EMM system handle on an even megabyte.
#                                                     If the DOS game or demo fiddles with the A20 gate while using EMM386.EXE emulation in virtual 8086 mode, setting this option may help prevent crashes.
#                                                     However, forcing allocation on an even megabyte will also cause some extended memory fragmentation and reduce the
#                                                     overall amount of extended memory available to the DOS game depending on whether it expects large contiguous chunks
#                                                     of extended memory.
#                                        ems frame: Segment of the EMS page frame, if set. C000, D000, or E000
#                                              umb: Enable UMB support.
#                                        umb start: UMB region starting segment
#                                          umb end: UMB region last segment
#                         kernel allocation in umb: If set, dynamic kernel allocation=1, and private area in umb=1, all kernel structures will be allocated from the private area in UMB.
#                                                     If you intend to run Windows 3.1 in DOSBox-X, you must set this option to false else Windows 3.1 will not start.
#                                 keep umb on boot: If emulating UMBs, keep the UMB around after boot (Mainline DOSBox behavior). If clear, UMB is unmapped when you boot an operating system.
#                        keep private area on boot: If set to true, keep the DOSBox-X private area around after boot (Mainline DOSBox behavior). If false, unmap and discard the private area when you boot an operating system.
#                                                     If set to auto, DOSBox-X will unmap and discard the private area while booting to a guest system unless Glide passthrough is enabled (useful for Windows 9x Glide support).
#                                                     
#                                                     Possible values: true, false, 1, 0, auto.
#                              private area in umb: If set, keep private DOS segment in upper memory block, usually segment 0xC800 (Mainline DOSBox behavior)
#                                                     If clear, place private DOS segment at the base of system memory (just below the MCB)
#                       private area write protect: If set, prevent the guest from writing to the DOSBox private area. The emulator itself can still write to it, of course.
#                                                     Some DOS games have sloppy video routines that can spill over and corrupt the private area and cause problems.
#                                                     This option when set can prevent that errant game from causing crashes.
#                                     quick reboot: If set, the DOS restart call will reboot the emulated DOS (integrated DOS or guest DOS) instead of the virtual machine.
#                                                     
#                                              ver: Set DOS version. Specify as major.minor format. A single number is treated as the major version (compatible with LFN support). Common settings are:
#                                                     auto (or unset)                  Pick DOS kernel version 5.0 (DOSBox default)
#                                                     3.3                              MS-DOS 3.3 emulation (not tested!)
#                                                     5.0                              MS-DOS 5.0 emulation (recommended for DOS gaming)
#                                                     6.22                             MS-DOS 6.22 emulation
#                                                     7.0                              MS-DOS 7.0 (or Windows 95 pure DOS mode) emulation
#                                                     7.1                              MS-DOS 7.1 (or Windows 98 pure DOS mode) emulation
#                                                     Long filename (LFN) support will be enabled with a reported DOS version of 7.0 or higher with "lfn=auto" (default).
#                                                     Similarly, FAT32 disk images will be supported with a reported DOS version of 7.1 or higher.
#                                                     
#                                              lfn: Enable long filename support. If set to auto (default), LFN support is enabled if the reported DOS version is at least 7.0.
#                                                     If set to autostart, the built-in VER command won't activate/deactivate LFN support according to the reported DOS version.
#                                                     Possible values: true, false, 1, 0, auto, autostart.
#                                  fat32setversion: Whether DOSBox-X should automatically set the reported DOS version to 7.0/7.10 when it is less than 7.0/7.10 and mounting LBA/FAT32 disk images is requested.
#                                                     If set to "ask", a popup message will show up to ask whether DOSBox-X should automatically change the reported DOS version in order to mount the disk image.
#                                                     Possible values: ask, auto, manual.
#                                        shellhigh: Load the DOSBox-X command shell into the upper memory when the UMB is available.
#                                                     If set to auto (default), it is enabled if the reported DOS version is at least 7.0.
#                                                     Possible values: true, false, 1, 0, auto.
#                                        automount: Enable automatic drive mounting in Windows.
#                                     automountall: Automatically mount all available Windows drives at start.
#                                                     Possible values: true, false, 1, 0, quiet.
#                                     mountwarning: If set, a warning message will be displayed while trying to auto-mount your Windows host drives.
#                                       autoa20fix: If set (default), DOSBox-X will automatically re-run the executable with the A20 gate disabled if it failed with the "Packed file is corrupt" error.
#                                                     If both autoa20fix and autoloadfix are set, then the former will be tried first, and the latter will be tried if the former did not work.
#                                      autoloadfix: If set (default), DOSBox-X will automatically re-run the executable with LOADFIX if it failed with the "Packed file is corrupt" error.
#                                   autofixwarning: If set to true or both, DOSBox-X shows messages while trying to automatically fix the "Packed file is corrupt" error.
#                                                     If set to false or none, DOSBox-X will not show such messages on the screen when the error occurred.
#                                                     If set to "a20fix" or "loadfix", DOSBox-X will show the message for the a20fix or the loadfix only.
#                                                     Possible values: true, false, 1, 0, both, a20fix, loadfix, none.
#                                         startcmd: Enable START command to start programs to run on the host system. On Windows host programs or commands may also be launched directly.
#                                   starttranspath: Specify whether DOSBox-X should automatically translate all paths in the command-line to host system paths when starting programs to run on the host system.
#                                        startwait: Specify whether DOSBox-X should wait for the host system applications after they are started.
#                                       startquiet: If set, before launching host system applications to run on the host DOSBox-X will not show messages like "Now run it as a Windows application".
#                                       startincon: START command will start these commands (separated by space) in a console and wait for a key press before exiting.
#                                     startnopause: If set, DOSBox-X will not pause after host command execution is completed.
#                                           vmware: Enable VMware interface emulation including guest mouse integration (when used along with e.g. VMware mouse driver for Windows 3.x).
#                                            int33: Enable INT 33H for mouse support.
#                                      int33 max x: For guest to host cursor integration with DOS games, assume the maximum reported X coordinate has this value, if this is nonzero.
#                                                     Use this option if the automatic range detection fails to work correctly with the DOS game and the cursor doesn't match the host cursor position.
#                                                     - Lemmings 2: Use X=640 Y=400
#                                      int33 max y: For guest to host cursor integration with DOS games, assume the maximum reported Y coordinate has this value, if this is nonzero.
#                                                     Use this option if the automatic range detection fails to work correctly with the DOS game and the cursor doesn't match the host cursor position.
#                                                     - See the max X setting for a list of games
#                                  int33 xy adjust: A list of adjustments to INT 33h position adjustments to help align the guest cursor to the host. name=value, comma separated
#                                                     x=spec, y=spec
#                                                     spec:   <number>    position adjust, can be positive or negative
#                                                             max-excess  if game sets maximum larger than int33 max x/y, adjust the position forward by the difference
#                           int33 mickey threshold: The smallest amount of mouse motion that will be reported to the guest. Motion below this amount is buffered until the threshold is met.
#                                                     Some DOS programs do not properly respond to small mouse movements causing effects like a sluggish cursor or cursor drift.
#                                                     Increase this option to the smallest value that achieves natural feeling motion.
#                                                     - Ultima Underworld: Use 2
#                                mouse report rate: Mouse reporting rate, or 0 for auto. This affects how often mouse events are reported to the guest through the mouse interrupt.
#                                                     Some games including CyClone need a lower reporting rate to function correctly. Auto mode allows the guest to change the report rate through the PS/2 mouse emulation.
#                                                     This option does not affect any DOS game that uses polling through INT 33h to detect mouse movement.
#   int33 hide host cursor if interrupt subroutine: If set, the cursor on the host will be hidden if the DOS application provides its own
#                                                     interrupt subroutine for the mouse driver to call, which is usually an indication that
#                                                     the DOS game wishes to draw the cursor with its own support routines (DeluxePaint II).
#              int33 hide host cursor when polling: If set, the cursor on the host will be hidden even if the DOS application has also
#                                                     hidden the cursor in the guest, as long as the DOS application is polling position
#                                                     and button status. This can be useful for DOS programs that draw the cursor on their
#                                                     own instead of using the mouse driver, including most games and DeluxePaint II.
#                   int33 disable cell granularity: If set, the mouse pointer position is reported at full precision (as if 640x200 coordinates) in all modes.
#                                                     If not set, the mouse pointer position is rounded to the top-left corner of a character cell in text modes.
#                                                     This option is OFF by default.
#                        int 13 disk change detect: Enable INT 13h disk change detect function (AH=16h)
#                                int 13 extensions: Enable INT 13h extensions (functions 0x40-0x48). You will need this enabled if the virtual hard drive image is 8.4GB or larger.
#                                          biosps2: Emulate BIOS INT 15h PS/2 mouse services
#                                                     Note that some OS's like Microsoft Windows neither use INT 33h nor
#                                                     probe the AUX port directly and depend on this BIOS interface exclusively
#                                                     for PS/2 mouse support. In other cases there is no harm in leaving this enabled
#                      int15 wait force unmask irq: Some demos or games mistakenly use INT 15h AH=0x86 (WAIT) while leaving the IRQs needed for it masked.
#                                                     If this option is set (by default), the necessary IRQs will be unmasked when INT 15 AH=0x86 is used so that the game or demo does not hang.
# int15 mouse callback does not preserve registers: Set to true if the guest OS or DOS program assigns an INT 15h mouse callback,
#                                                     but does not properly preserve CPU registers. Diagnostic function only (default off).
#                                   keyboardlayout: Language code of the keyboard layout (or none).
#                                   customcodepage: Set a custom code page for CHCP command and specify a SBCS code page file, following the standard SBCS code page format.
#                                                     Examples of SBCS code pages are available from the Unicode Consortium website: https://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/PC/
#                                             dbcs: Enable DBCS table and Chinese, Japanese, Korean support for the TrueType font (TTF) output.
#                                                     CAUTION: Some software will crash without the DBCS table, including the Open Watcom installer.
#                                     filenamechar: Enable DOS filename char table.
#                          collating and uppercase: Enable DOS collating and uppercase table.
#  con device use int 16h to detect keyboard input: If set, use INT 16h to detect keyboard input (MS-DOS 6.22 behavior). If clear, detect keyboard input by
#                                                     peeking into the BIOS keyboard buffer (Mainline DOSBox behavior). You will need to set this
#                                                     option for programs that hook INT 16h to handle keyboard input ahead of the DOS console.
#                                                     Microsoft SCANDISK needs this option to respond to keyboard input correctly.
#         zero memory on int 21h memory allocation: If set, memory returned by the INT 21h allocation call is zeroed first. This is NOT what
#                                                     DOS actually does, but if set, can help certain DOS games and demos cope with problems
#                                                     related to uninitialized variables in the data or stack segment. If you intend to run a
#                                                     game or demo known to have this problem (Second Unreal, for example), set to true, else
#                                                     set to false. When enabled this option may incur a slight to moderate performance penalty.
#                            pipe temporary device: Allows temporary devices to be created for piping operations when a temporary path is unavailable.
#                      dos clipboard device enable: If enabled, a DOS device will be added for bidirectional communications with the shared clipboard.
#                                                     Setting to "read" will only allow read access, and setting to "write" will only allow write access.
#                                                     Setting to "full" or "true" enables both; setting to "false" or "disabled" disables the access or device.
#                                                     The default device name is CLIP$, but can be changed with the "dos clipboard device name" setting below.
#                        dos clipboard device name: Set DOS device name (up to 8 characters) for bidirectional communications with the shared clipboard.
#                                                     If unset or invalid, the default name CLIP$ will be used (e.g. "TYPE CLIP$" shows the clipboard contents).
#                                                     It has no effect if "dos clipboard device enable" is disabled, and it is deactivated if the secure mode is enabled.
#                                dos clipboard api: If set, DOS APIs for communications with the Windows clipboard will be enabled for shared clipboard communications.
#                                                     Caution: Enabling this API may cause some programs to think they are running under Windows
#                                     dos idle api: If set, DOSBox-X can lower the host system's CPU load when a supported guest program is idle.
xms                                              = true
turn off a20 gate on load if loadfix needed      = false
xms log memmove                                  = false
xms memmove causes flat real mode                = true
xms init causes flat real mode                   = false
resized free memory block becomes allocated      = true
xms handles                                      = 0
shell configuration as commands                  = false
badcommandhandler                                = 
mscdex device name                               = 
hma                                              = true
hma allow reservation                            = true
command shell flush keyboard buffer              = true
hard drive data rate limit                       = -1
floppy drive data rate limit                     = -1
special operation file prefix                    = .DB
drive z is remote                                = auto
drive z convert fat                              = false
drive z expand path                              = true
drive z hide files                               = /TEXTUTIL\25.COM /TEXTUTIL\28.COM /TEXTUTIL\50.COM
automount drive directories                      = false
hidenonrepresentable                             = true
hma minimum allocation                           = 0
ansi.sys                                         = true
log console                                      = false
dos sda size                                     = 0
hma free space                                   = 34816
cpm compatibility mode                           = auto
share                                            = true
file access tries                                = 0
network redirector                               = true
mcb corruption becomes application free memory   = false
minimum dos initial private segment              = 0
minimum mcb segment                              = 0
minimum mcb free                                 = 0
enable dummy device mcb                          = false
maximum environment block size on exec           = -1
additional environment block size on exec        = -1
enable a20 on windows init                       = false
zero memory on xms memory allocation             = false
ems                                              = true
vcpi                                             = true
unmask timer on disk io                          = false
zero int 67h if no ems                           = true
zero unused int 68h                              = false
emm386 startup active                            = false
zero memory on ems memory allocation             = false
ems system handle memory size                    = 384
ems system handle on even megabyte               = false
ems frame                                        = 0
umb                                              = true
umb start                                        = 0
umb end                                          = 0
kernel allocation in umb                         = false
keep umb on boot                                 = false
keep private area on boot                        = auto
private area in umb                              = true
private area write protect                       = false
quick reboot                                     = false
ver                                              = 
lfn                                              = auto
fat32setversion                                  = ask
shellhigh                                        = auto
automount                                        = true
automountall                                     = false
mountwarning                                     = true
autoa20fix                                       = true
autoloadfix                                      = true
autofixwarning                                   = false
startcmd                                         = false
starttranspath                                   = true
startwait                                        = true
startquiet                                       = false
startincon                                       = assoc attrib chcp copy dir echo for ftype help if set type ver vol xcopy
startnopause                                     = false
vmware                                           = true
int33                                            = true
int33 max x                                      = 0
int33 max y                                      = 0
int33 xy adjust                                  = 
int33 mickey threshold                           = 1
mouse report rate                                = 0
int33 hide host cursor if interrupt subroutine   = true
int33 hide host cursor when polling              = false
int33 disable cell granularity                   = false
int 13 disk change detect                        = true
int 13 extensions                                = true
biosps2                                          = true
int15 wait force unmask irq                      = true
int15 mouse callback does not preserve registers = false
keyboardlayout                                   = auto
customcodepage                                   = 
dbcs                                             = true
filenamechar                                     = true
collating and uppercase                          = true
con device use int 16h to detect keyboard input  = true
zero memory on int 21h memory allocation         = false
pipe temporary device                            = true
dos clipboard device enable                      = false
dos clipboard device name                        = CLIP$
dos clipboard api                                = false
dos idle api                                     = true

[ipx]
# ipx: Enable ipx over UDP/IP emulation.
ipx = false

[ne2000]
#  ne2000: Enable NE2000 Ethernet emulation. Either pcap or slirp backend can be used, switchable via "backend" option.
#            Settings for the pcap and slirp backends can be found in the [ethernet, pcap] and [ethernet, slirp] sections.
#            Once properly set, load the NE2000 packet driver inside DOSBox-X with base address and interrupt specified below.
# nicbase: The base address of the NE2000 board.
#  nicirq: The interrupt it uses. Note serial2 uses IRQ3 as default.
# macaddr: The MAC address the emulator will use for its network adapter.
#            If you have multiple DOSBox-Xes running on the same network,
#            this has to be changed for each. AC:DE:48 is an address range reserved for
#            private use, so modify the last three number blocks, e.g. AC:DE:48:88:99:AB.
#            Default setting is 'random' which randomly chooses a MAC address.
# backend: The backend (either pcap or slirp is supported) used for the NE2000 Ethernet emulation.
#            If set to "auto", then "slirp" is selected when available, otherwise "pcap" is selected when available.
#            NE2000 Ethernet emulation will be disabled if no backend is available (or the specified backend if unavailable).
#            Possible values: pcap, slirp, nothing, auto, none.
ne2000  = false
nicbase = 300
nicirq  = 3
macaddr = random
backend = auto

[ethernet, pcap]
# realnic: Specifies which of your host network interfaces is used for pcap.
#            Write 'list' here to see the list of devices from the Help
#            menu ('List network interfaces') or from the Status Window.
#            Then make your choice and put either the interface number
#            (e.g. 2) or a part of your adapters name (e.g. VIA here).
# timeout: Specifies the read timeout for the device in milliseconds for the pcap backend, or the default value will be used.
realnic = list
timeout = default

[ethernet, slirp]
#            restricted: Disables access to the host from the guest.
#                          Services such as libslirp's DHCP server will no longer work.
# disable_host_loopback: Disables guest access to the host's loopback interfaces.
#                   mtu: The maximum transmission unit for Ethernet packets transmitted from the guest.
#                          Specifying 0 will use libslirp's default MTU.
#                   mru: The maximum receive unit for Ethernet packets transmitted to the guest.
#                          Specifying 0 will use libslirp's default MRU.
#          ipv4_network: The IPv4 network the guest and host services are on.
#          ipv4_netmask: The netmask for the IPv4 network.
#             ipv4_host: The address of the guest on the IPv4 network.
#       ipv4_nameserver: The address of the nameserver service provided by the host on the IPv4 network.
#       ipv4_dhcp_start: The start address used for DHCP by the host services on the IPv4 network.
#     tcp_port_forwards: Forwards one or more TCP ports from the host into the DOS guest.
#                          The format is:
#                            port1  port2  port3 ... (e.g., 21 80 443)
#                            This will forward FTP, HTTP, and HTTPS into the DOS guest.
#                          If the ports are privileged on the host, a mapping can be used
#                            host:guest  ..., (e.g., 8021:21 8080:80)
#                            This will forward ports 8021 and 8080 to FTP and HTTP in the guest
#                          A range of adjacent ports can be abbreviated with a dash:
#                            start-end ... (e.g., 27910-27960)
#                            This will forward ports 27910 to 27960 into the DOS guest.
#                          Mappings and ranges can be combined, too:
#                            hstart-hend:gstart-gend ..., (e.g, 8040-8080:20-60)
#                            This forwards ports 8040 to 8080 into 20 to 60 in the guest
#                          Notes:
#                            - If mapped ranges differ, the shorter range is extended to fit.
#                            - If conflicting host ports are given, only the first one is setup.
#                            - If conflicting guest ports are given, the latter rule takes precedent.
#     udp_port_forwards: Forwards one or more UDP ports from the host into the DOS guest.
#                          The format is the same as for TCP port forwards.
restricted            = false
disable_host_loopback = false
mtu                   = 0
mru                   = 0
ipv4_network          = 10.0.2.0
ipv4_netmask          = 255.255.255.0
ipv4_host             = 10.0.2.2
ipv4_nameserver       = 10.0.2.3
ipv4_dhcp_start       = 10.0.2.15
tcp_port_forwards     = 
udp_port_forwards     = 

[ide, primary]
#                  enable: Enable IDE interface
#                     pnp: List IDE device in ISA PnP BIOS enumeration
#                     irq: IRQ used by IDE controller. Set to 0 for default.
#                            WARNING: Setting the IRQ to non-standard values will not work unless the guest OS is using the ISA PnP BIOS to detect the IDE controller.
#                                     Setting the IRQ to one already occupied by another device or IDE controller will trigger "resource conflict" errors in Windows 95.
#                                     Using IRQ 9, 12, 13, or IRQ 2-7 may cause problems with MS-DOS CD-ROM drivers.
#                      io: Base I/O port for IDE controller. Set to 0 for default.
#                            WARNING: Setting the I/O port to non-standard values will not work unless the guest OS is using the ISA PnP BIOS to detect the IDE controller.
#                                     Using any port other than 1F0, 170, 1E8 or 168 can prevent MS-DOS CD-ROM drivers from detecting the IDE controller.
#                   altio: Alternate I/O port for IDE controller (alt status, etc). Set to 0 for default.
#                            WARNING: Setting the I/O port to non-standard values will not work unless the guest OS is using the ISA PnP BIOS to detect the IDE controller.
#                                     For best compatibility set this value to io+0x206, for example, io=1F0 altio=3F6.
#                                     The primary IDE controller will not claim port 3F7 if the primary floppy controller is enabled due to I/O port overlap in the 3F0-3F7 range.
#             int13fakeio: If set, force IDE state change on certain INT 13h commands.
#                            IDE registers will be changed as if BIOS had carried out the action.
#                            If you are running Windows 3.11 or Windows 3.11 Windows for Workgroups
#                            you must enable this option (and use -reservecyl 1) if you want 32-bit
#                            disk access to work correctly in DOSBox-X.
#          int13fakev86io: If set, and int13fakeio is set, certain INT 13h commands will cause IDE emulation to
#                            issue fake CPU I/O traps (GPF) in virtual 8086 mode and a fake IRQ signal. You must
#                            enable this option if you want 32-bit disk access in Windows 95 to work with DOSBox-X.
#            enable pio32: If set, 32-bit I/O reads and writes are handled directly (much like PCI IDE implementations)
#                            If clear, 32-bit I/O will be handled as if two 16-bit I/O (much like ISA IDE implementations)
#            ignore pio32: If 32-bit I/O is enabled, attempts to read/write 32-bit I/O will be ignored entirely.
#                            In this way, you can have DOSBox-X emulate one of the strange quirks of 1995-1997 era
#                            laptop hardware
#      cd-rom spinup time: Emulated CD-ROM time in ms to spin up if CD is stationary.
#                            Set to 0 to use controller or CD-ROM drive-specific default.
# cd-rom spindown timeout: Emulated CD-ROM time in ms that drive will spin down automatically when not in use
#                            Set to 0 to use controller or CD-ROM drive-specific default.
#  cd-rom insertion delay: Emulated CD-ROM time in ms that drive will report "medium not present"
#                            to emulate the time it takes for someone to take out a CD and insert a new one when
#                            DOSBox-X is instructed to swap or change CDs.
#                            When running Windows 95 or higher a delay of 4000ms is recommended to ensure that
#                            auto-insert notification triggers properly.
#                            Set to 0 to use controller or CD-ROM drive-specific default.
enable                  = true
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, secondary]
enable                  = true
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, tertiary]
enable                  = false
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, quaternary]
enable                  = false
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, quinternary]
enable                  = false
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, sexternary]
enable                  = false
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, septernary]
enable                  = false
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[ide, octernary]
enable                  = false
pnp                     = true
irq                     = 0
io                      = 0
altio                   = 0
int13fakeio             = false
int13fakev86io          = false
enable pio32            = false
ignore pio32            = false
cd-rom spinup time      = 0
cd-rom spindown timeout = 0
cd-rom insertion delay  = 0

[fdc, primary]
#                 enable: Enable floppy controller interface
#                    pnp: List floppy controller in ISA PnP BIOS enumeration
#                    irq: IRQ used by floppy controller. Set to 0 for default.
#                           WARNING: Setting the IRQ to non-standard values will not work unless the guest OS is using the ISA PnP BIOS to detect the floppy controller.
#                                    Setting the IRQ to one already occupied by another device or IDE controller will trigger "resource conflict" errors in Windows 95.
#                                    Normally, floppy controllers use IRQ 6.
#                     io: Base I/O port for floppy controller. Set to 0 for default.
#                           WARNING: Setting the I/O port to non-standard values will not work unless the guest OS is using the ISA PnP BIOS to detect the IDE controller.
#                                    Standard I/O ports are 3F0 and 370.
#                    dma: DMA channel for floppy controller. Set to -1 for default.
#                           WARNING: Setting the DMA channel to non-standard values will not work unless the guest OS is using the ISA PnP BIOS to detect the IDE controller.
#                                    Standard DMA channel is 2.
#         int13fakev86io: If set, certain INT 13h commands will cause floppy emulation to issue fake CPU I/O
#                           traps (GPF) in virtual 8086 mode and a fake IRQ signal. You must enable this
#                           option if you want 32-bit floppy access in Windows 95 to work with DOSBox-X.
#           instant mode: If set, all floppy operations are 'instantaneous', they are carried
#                           out without any delay. Real hardware of course has motor, command
#                           and data I/O delays and so this option is off by default for realistic
#                           emulation.
# auto-attach to int 13h: If set, DOSBox-X will automatically attach a disk image as being
#                           inserted into a floppy drive attached to the controller when imgmount is used
#                           to mount a disk image to drive 0/1 or A/B. If not set, you must specify
#                           the -fdc option to imgmount to attach drive A/B to the floppy controller
#                           manually. You must use the -fdc option regardless if loading floppies into
#                           drives attached to any other FDC than the primary controller
#                   mode: Floppy controller mode. What the controller acts like.
#                             ps2                          PS/2 mode (most common)
#                             ps2_model30                  PS/2 model 30
#                             at                           AT mode
#                             xt                           PC/XT mode
#                   chip: Floppy controller chipset
#                             82077aa                      Intel 82077AA chipset
#                             82072                        Intel 82072 chipset
#                             nec_uPD765                   NEC uPD765 chipset
#                             none                         No chipset (For PC/XT mode)
enable                 = false
pnp                    = true
irq                    = 0
io                     = 0
dma                    = -1
int13fakev86io         = false
instant mode           = false
auto-attach to int 13h = true
mode                   = ps2
chip                   = 82077aa

[4dos]
rem = This section is the 4DOS.INI file, if you use 4DOS as the command shell

[config]
#       rem: Records comments (remarks).
#     break: Sets or clears extended CTRL+C checking.
#              Possible values: on, off.
#   numlock: Sets the initial state of the NumLock key.
#              Possible values: on, off.
#     shell: Specifies the command shell (COMMAND.COM or 4DOS.COM).
#       dos: Reports whether DOS occupies HMA and allocates UMB memory (if available).
#      fcbs: Number of FCB handles available to DOS programs (1-255). Set to 0 to automatically use a reasonable default.
#     files: Number of file handles available to DOS programs (8-255). Set to 0 to automatically use a reasonable default.
#   country: Country code for date/time/decimal formats and optionally code page for TTF output and language files.
# lastdrive: The maximum drive letter (A-Z) that can be accessed by programs.
#              Possible values: a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z.
rem         = This section is DOS's CONFIG.SYS file, not all CONFIG.SYS options supported
break       = off
numlock     = 
shell       = 
dos         = high, umb
fcbs        = 0
files       = 0
country     = 
lastdrive   = a
set path    = Z:\;Z:\SYSTEM;Z:\BIN;Z:\DOS;Z:\4DOS;Z:\DEBUG;Z:\TEXTUTIL
set prompt  = $P$G
set temp    = 
install     = 
installhigh = 
device      = 
devicehigh  = 

[autoexec]
# Lines in this section will be run at startup.
# You can put your MOUNT lines here.

